'use strict';

// src/gql/fragment-masking.ts
function useFragment(_documentNode, fragmentType) {
  return fragmentType;
}
function makeFragmentData(data, _fragment) {
  return data;
}
function isFragmentReady(queryNode, fragmentNode, data) {
  const deferredFields = queryNode.__meta__?.deferredFields;
  if (!deferredFields)
    return true;
  const fragDef = fragmentNode.definitions[0];
  const fragName = fragDef?.name?.value;
  const fields = fragName && deferredFields[fragName] || [];
  return fields.length > 0 && fields.every((field) => data && field in data);
}

// src/gql/graphql.ts
var ActorType = /* @__PURE__ */ ((ActorType2) => {
  ActorType2["Team"] = "TEAM";
  ActorType2["User"] = "USER";
  return ActorType2;
})(ActorType || {});
var AuditLogOrderField = /* @__PURE__ */ ((AuditLogOrderField2) => {
  AuditLogOrderField2["CreatedAt"] = "CREATED_AT";
  return AuditLogOrderField2;
})(AuditLogOrderField || {});
var CheckAnnotationLevel = /* @__PURE__ */ ((CheckAnnotationLevel2) => {
  CheckAnnotationLevel2["Failure"] = "FAILURE";
  CheckAnnotationLevel2["Notice"] = "NOTICE";
  CheckAnnotationLevel2["Warning"] = "WARNING";
  return CheckAnnotationLevel2;
})(CheckAnnotationLevel || {});
var CheckConclusionState = /* @__PURE__ */ ((CheckConclusionState2) => {
  CheckConclusionState2["ActionRequired"] = "ACTION_REQUIRED";
  CheckConclusionState2["Cancelled"] = "CANCELLED";
  CheckConclusionState2["Failure"] = "FAILURE";
  CheckConclusionState2["Neutral"] = "NEUTRAL";
  CheckConclusionState2["Skipped"] = "SKIPPED";
  CheckConclusionState2["Stale"] = "STALE";
  CheckConclusionState2["StartupFailure"] = "STARTUP_FAILURE";
  CheckConclusionState2["Success"] = "SUCCESS";
  CheckConclusionState2["TimedOut"] = "TIMED_OUT";
  return CheckConclusionState2;
})(CheckConclusionState || {});
var CheckRunState = /* @__PURE__ */ ((CheckRunState2) => {
  CheckRunState2["ActionRequired"] = "ACTION_REQUIRED";
  CheckRunState2["Cancelled"] = "CANCELLED";
  CheckRunState2["Completed"] = "COMPLETED";
  CheckRunState2["Failure"] = "FAILURE";
  CheckRunState2["InProgress"] = "IN_PROGRESS";
  CheckRunState2["Neutral"] = "NEUTRAL";
  CheckRunState2["Pending"] = "PENDING";
  CheckRunState2["Queued"] = "QUEUED";
  CheckRunState2["Skipped"] = "SKIPPED";
  CheckRunState2["Stale"] = "STALE";
  CheckRunState2["StartupFailure"] = "STARTUP_FAILURE";
  CheckRunState2["Success"] = "SUCCESS";
  CheckRunState2["TimedOut"] = "TIMED_OUT";
  CheckRunState2["Waiting"] = "WAITING";
  return CheckRunState2;
})(CheckRunState || {});
var CheckRunType = /* @__PURE__ */ ((CheckRunType2) => {
  CheckRunType2["All"] = "ALL";
  CheckRunType2["Latest"] = "LATEST";
  return CheckRunType2;
})(CheckRunType || {});
var CheckStatusState = /* @__PURE__ */ ((CheckStatusState2) => {
  CheckStatusState2["Completed"] = "COMPLETED";
  CheckStatusState2["InProgress"] = "IN_PROGRESS";
  CheckStatusState2["Pending"] = "PENDING";
  CheckStatusState2["Queued"] = "QUEUED";
  CheckStatusState2["Requested"] = "REQUESTED";
  CheckStatusState2["Waiting"] = "WAITING";
  return CheckStatusState2;
})(CheckStatusState || {});
var CollaboratorAffiliation = /* @__PURE__ */ ((CollaboratorAffiliation2) => {
  CollaboratorAffiliation2["All"] = "ALL";
  CollaboratorAffiliation2["Direct"] = "DIRECT";
  CollaboratorAffiliation2["Outside"] = "OUTSIDE";
  return CollaboratorAffiliation2;
})(CollaboratorAffiliation || {});
var CommentAuthorAssociation = /* @__PURE__ */ ((CommentAuthorAssociation2) => {
  CommentAuthorAssociation2["Collaborator"] = "COLLABORATOR";
  CommentAuthorAssociation2["Contributor"] = "CONTRIBUTOR";
  CommentAuthorAssociation2["FirstTimer"] = "FIRST_TIMER";
  CommentAuthorAssociation2["FirstTimeContributor"] = "FIRST_TIME_CONTRIBUTOR";
  CommentAuthorAssociation2["Mannequin"] = "MANNEQUIN";
  CommentAuthorAssociation2["Member"] = "MEMBER";
  CommentAuthorAssociation2["None"] = "NONE";
  CommentAuthorAssociation2["Owner"] = "OWNER";
  return CommentAuthorAssociation2;
})(CommentAuthorAssociation || {});
var CommentCannotUpdateReason = /* @__PURE__ */ ((CommentCannotUpdateReason2) => {
  CommentCannotUpdateReason2["Archived"] = "ARCHIVED";
  CommentCannotUpdateReason2["Denied"] = "DENIED";
  CommentCannotUpdateReason2["InsufficientAccess"] = "INSUFFICIENT_ACCESS";
  CommentCannotUpdateReason2["Locked"] = "LOCKED";
  CommentCannotUpdateReason2["LoginRequired"] = "LOGIN_REQUIRED";
  CommentCannotUpdateReason2["Maintenance"] = "MAINTENANCE";
  CommentCannotUpdateReason2["VerifiedEmailRequired"] = "VERIFIED_EMAIL_REQUIRED";
  return CommentCannotUpdateReason2;
})(CommentCannotUpdateReason || {});
var CommitContributionOrderField = /* @__PURE__ */ ((CommitContributionOrderField2) => {
  CommitContributionOrderField2["CommitCount"] = "COMMIT_COUNT";
  CommitContributionOrderField2["OccurredAt"] = "OCCURRED_AT";
  return CommitContributionOrderField2;
})(CommitContributionOrderField || {});
var ComparisonStatus = /* @__PURE__ */ ((ComparisonStatus2) => {
  ComparisonStatus2["Ahead"] = "AHEAD";
  ComparisonStatus2["Behind"] = "BEHIND";
  ComparisonStatus2["Diverged"] = "DIVERGED";
  ComparisonStatus2["Identical"] = "IDENTICAL";
  return ComparisonStatus2;
})(ComparisonStatus || {});
var ContributionLevel = /* @__PURE__ */ ((ContributionLevel2) => {
  ContributionLevel2["FirstQuartile"] = "FIRST_QUARTILE";
  ContributionLevel2["FourthQuartile"] = "FOURTH_QUARTILE";
  ContributionLevel2["None"] = "NONE";
  ContributionLevel2["SecondQuartile"] = "SECOND_QUARTILE";
  ContributionLevel2["ThirdQuartile"] = "THIRD_QUARTILE";
  return ContributionLevel2;
})(ContributionLevel || {});
var DefaultRepositoryPermissionField = /* @__PURE__ */ ((DefaultRepositoryPermissionField2) => {
  DefaultRepositoryPermissionField2["Admin"] = "ADMIN";
  DefaultRepositoryPermissionField2["None"] = "NONE";
  DefaultRepositoryPermissionField2["Read"] = "READ";
  DefaultRepositoryPermissionField2["Write"] = "WRITE";
  return DefaultRepositoryPermissionField2;
})(DefaultRepositoryPermissionField || {});
var DependencyGraphEcosystem = /* @__PURE__ */ ((DependencyGraphEcosystem2) => {
  DependencyGraphEcosystem2["Actions"] = "ACTIONS";
  DependencyGraphEcosystem2["Composer"] = "COMPOSER";
  DependencyGraphEcosystem2["Go"] = "GO";
  DependencyGraphEcosystem2["Maven"] = "MAVEN";
  DependencyGraphEcosystem2["Npm"] = "NPM";
  DependencyGraphEcosystem2["Nuget"] = "NUGET";
  DependencyGraphEcosystem2["Pip"] = "PIP";
  DependencyGraphEcosystem2["Pub"] = "PUB";
  DependencyGraphEcosystem2["Rubygems"] = "RUBYGEMS";
  DependencyGraphEcosystem2["Rust"] = "RUST";
  DependencyGraphEcosystem2["Swift"] = "SWIFT";
  return DependencyGraphEcosystem2;
})(DependencyGraphEcosystem || {});
var DeploymentOrderField = /* @__PURE__ */ ((DeploymentOrderField2) => {
  DeploymentOrderField2["CreatedAt"] = "CREATED_AT";
  return DeploymentOrderField2;
})(DeploymentOrderField || {});
var DeploymentProtectionRuleType = /* @__PURE__ */ ((DeploymentProtectionRuleType2) => {
  DeploymentProtectionRuleType2["RequiredReviewers"] = "REQUIRED_REVIEWERS";
  DeploymentProtectionRuleType2["WaitTimer"] = "WAIT_TIMER";
  return DeploymentProtectionRuleType2;
})(DeploymentProtectionRuleType || {});
var DeploymentReviewState = /* @__PURE__ */ ((DeploymentReviewState2) => {
  DeploymentReviewState2["Approved"] = "APPROVED";
  DeploymentReviewState2["Rejected"] = "REJECTED";
  return DeploymentReviewState2;
})(DeploymentReviewState || {});
var DeploymentState = /* @__PURE__ */ ((DeploymentState2) => {
  DeploymentState2["Abandoned"] = "ABANDONED";
  DeploymentState2["Active"] = "ACTIVE";
  DeploymentState2["Destroyed"] = "DESTROYED";
  DeploymentState2["Error"] = "ERROR";
  DeploymentState2["Failure"] = "FAILURE";
  DeploymentState2["Inactive"] = "INACTIVE";
  DeploymentState2["InProgress"] = "IN_PROGRESS";
  DeploymentState2["Pending"] = "PENDING";
  DeploymentState2["Queued"] = "QUEUED";
  DeploymentState2["Success"] = "SUCCESS";
  DeploymentState2["Waiting"] = "WAITING";
  return DeploymentState2;
})(DeploymentState || {});
var DeploymentStatusState = /* @__PURE__ */ ((DeploymentStatusState2) => {
  DeploymentStatusState2["Error"] = "ERROR";
  DeploymentStatusState2["Failure"] = "FAILURE";
  DeploymentStatusState2["Inactive"] = "INACTIVE";
  DeploymentStatusState2["InProgress"] = "IN_PROGRESS";
  DeploymentStatusState2["Pending"] = "PENDING";
  DeploymentStatusState2["Queued"] = "QUEUED";
  DeploymentStatusState2["Success"] = "SUCCESS";
  DeploymentStatusState2["Waiting"] = "WAITING";
  return DeploymentStatusState2;
})(DeploymentStatusState || {});
var DiffSide = /* @__PURE__ */ ((DiffSide2) => {
  DiffSide2["Left"] = "LEFT";
  DiffSide2["Right"] = "RIGHT";
  return DiffSide2;
})(DiffSide || {});
var DiscussionCloseReason = /* @__PURE__ */ ((DiscussionCloseReason2) => {
  DiscussionCloseReason2["Duplicate"] = "DUPLICATE";
  DiscussionCloseReason2["Outdated"] = "OUTDATED";
  DiscussionCloseReason2["Resolved"] = "RESOLVED";
  return DiscussionCloseReason2;
})(DiscussionCloseReason || {});
var DiscussionOrderField = /* @__PURE__ */ ((DiscussionOrderField2) => {
  DiscussionOrderField2["CreatedAt"] = "CREATED_AT";
  DiscussionOrderField2["UpdatedAt"] = "UPDATED_AT";
  return DiscussionOrderField2;
})(DiscussionOrderField || {});
var DiscussionPollOptionOrderField = /* @__PURE__ */ ((DiscussionPollOptionOrderField2) => {
  DiscussionPollOptionOrderField2["AuthoredOrder"] = "AUTHORED_ORDER";
  DiscussionPollOptionOrderField2["VoteCount"] = "VOTE_COUNT";
  return DiscussionPollOptionOrderField2;
})(DiscussionPollOptionOrderField || {});
var DiscussionState = /* @__PURE__ */ ((DiscussionState2) => {
  DiscussionState2["Closed"] = "CLOSED";
  DiscussionState2["Open"] = "OPEN";
  return DiscussionState2;
})(DiscussionState || {});
var DiscussionStateReason = /* @__PURE__ */ ((DiscussionStateReason2) => {
  DiscussionStateReason2["Duplicate"] = "DUPLICATE";
  DiscussionStateReason2["Outdated"] = "OUTDATED";
  DiscussionStateReason2["Reopened"] = "REOPENED";
  DiscussionStateReason2["Resolved"] = "RESOLVED";
  return DiscussionStateReason2;
})(DiscussionStateReason || {});
var DismissReason = /* @__PURE__ */ ((DismissReason2) => {
  DismissReason2["FixStarted"] = "FIX_STARTED";
  DismissReason2["Inaccurate"] = "INACCURATE";
  DismissReason2["NotUsed"] = "NOT_USED";
  DismissReason2["NoBandwidth"] = "NO_BANDWIDTH";
  DismissReason2["TolerableRisk"] = "TOLERABLE_RISK";
  return DismissReason2;
})(DismissReason || {});
var EnterpriseAdministratorInvitationOrderField = /* @__PURE__ */ ((EnterpriseAdministratorInvitationOrderField2) => {
  EnterpriseAdministratorInvitationOrderField2["CreatedAt"] = "CREATED_AT";
  return EnterpriseAdministratorInvitationOrderField2;
})(EnterpriseAdministratorInvitationOrderField || {});
var EnterpriseAdministratorRole = /* @__PURE__ */ ((EnterpriseAdministratorRole2) => {
  EnterpriseAdministratorRole2["BillingManager"] = "BILLING_MANAGER";
  EnterpriseAdministratorRole2["Owner"] = "OWNER";
  return EnterpriseAdministratorRole2;
})(EnterpriseAdministratorRole || {});
var EnterpriseAllowPrivateRepositoryForkingPolicyValue = /* @__PURE__ */ ((EnterpriseAllowPrivateRepositoryForkingPolicyValue2) => {
  EnterpriseAllowPrivateRepositoryForkingPolicyValue2["EnterpriseOrganizations"] = "ENTERPRISE_ORGANIZATIONS";
  EnterpriseAllowPrivateRepositoryForkingPolicyValue2["EnterpriseOrganizationsUserAccounts"] = "ENTERPRISE_ORGANIZATIONS_USER_ACCOUNTS";
  EnterpriseAllowPrivateRepositoryForkingPolicyValue2["Everywhere"] = "EVERYWHERE";
  EnterpriseAllowPrivateRepositoryForkingPolicyValue2["SameOrganization"] = "SAME_ORGANIZATION";
  EnterpriseAllowPrivateRepositoryForkingPolicyValue2["SameOrganizationUserAccounts"] = "SAME_ORGANIZATION_USER_ACCOUNTS";
  EnterpriseAllowPrivateRepositoryForkingPolicyValue2["UserAccounts"] = "USER_ACCOUNTS";
  return EnterpriseAllowPrivateRepositoryForkingPolicyValue2;
})(EnterpriseAllowPrivateRepositoryForkingPolicyValue || {});
var EnterpriseDefaultRepositoryPermissionSettingValue = /* @__PURE__ */ ((EnterpriseDefaultRepositoryPermissionSettingValue2) => {
  EnterpriseDefaultRepositoryPermissionSettingValue2["Admin"] = "ADMIN";
  EnterpriseDefaultRepositoryPermissionSettingValue2["None"] = "NONE";
  EnterpriseDefaultRepositoryPermissionSettingValue2["NoPolicy"] = "NO_POLICY";
  EnterpriseDefaultRepositoryPermissionSettingValue2["Read"] = "READ";
  EnterpriseDefaultRepositoryPermissionSettingValue2["Write"] = "WRITE";
  return EnterpriseDefaultRepositoryPermissionSettingValue2;
})(EnterpriseDefaultRepositoryPermissionSettingValue || {});
var EnterpriseEnabledDisabledSettingValue = /* @__PURE__ */ ((EnterpriseEnabledDisabledSettingValue2) => {
  EnterpriseEnabledDisabledSettingValue2["Disabled"] = "DISABLED";
  EnterpriseEnabledDisabledSettingValue2["Enabled"] = "ENABLED";
  EnterpriseEnabledDisabledSettingValue2["NoPolicy"] = "NO_POLICY";
  return EnterpriseEnabledDisabledSettingValue2;
})(EnterpriseEnabledDisabledSettingValue || {});
var EnterpriseEnabledSettingValue = /* @__PURE__ */ ((EnterpriseEnabledSettingValue2) => {
  EnterpriseEnabledSettingValue2["Enabled"] = "ENABLED";
  EnterpriseEnabledSettingValue2["NoPolicy"] = "NO_POLICY";
  return EnterpriseEnabledSettingValue2;
})(EnterpriseEnabledSettingValue || {});
var EnterpriseMemberOrderField = /* @__PURE__ */ ((EnterpriseMemberOrderField2) => {
  EnterpriseMemberOrderField2["CreatedAt"] = "CREATED_AT";
  EnterpriseMemberOrderField2["Login"] = "LOGIN";
  return EnterpriseMemberOrderField2;
})(EnterpriseMemberOrderField || {});
var EnterpriseMembersCanCreateRepositoriesSettingValue = /* @__PURE__ */ ((EnterpriseMembersCanCreateRepositoriesSettingValue2) => {
  EnterpriseMembersCanCreateRepositoriesSettingValue2["All"] = "ALL";
  EnterpriseMembersCanCreateRepositoriesSettingValue2["Disabled"] = "DISABLED";
  EnterpriseMembersCanCreateRepositoriesSettingValue2["NoPolicy"] = "NO_POLICY";
  EnterpriseMembersCanCreateRepositoriesSettingValue2["Private"] = "PRIVATE";
  EnterpriseMembersCanCreateRepositoriesSettingValue2["Public"] = "PUBLIC";
  return EnterpriseMembersCanCreateRepositoriesSettingValue2;
})(EnterpriseMembersCanCreateRepositoriesSettingValue || {});
var EnterpriseMembersCanMakePurchasesSettingValue = /* @__PURE__ */ ((EnterpriseMembersCanMakePurchasesSettingValue2) => {
  EnterpriseMembersCanMakePurchasesSettingValue2["Disabled"] = "DISABLED";
  EnterpriseMembersCanMakePurchasesSettingValue2["Enabled"] = "ENABLED";
  return EnterpriseMembersCanMakePurchasesSettingValue2;
})(EnterpriseMembersCanMakePurchasesSettingValue || {});
var EnterpriseMembershipType = /* @__PURE__ */ ((EnterpriseMembershipType2) => {
  EnterpriseMembershipType2["Admin"] = "ADMIN";
  EnterpriseMembershipType2["All"] = "ALL";
  EnterpriseMembershipType2["BillingManager"] = "BILLING_MANAGER";
  EnterpriseMembershipType2["OrgMembership"] = "ORG_MEMBERSHIP";
  return EnterpriseMembershipType2;
})(EnterpriseMembershipType || {});
var EnterpriseOrderField = /* @__PURE__ */ ((EnterpriseOrderField2) => {
  EnterpriseOrderField2["Name"] = "NAME";
  return EnterpriseOrderField2;
})(EnterpriseOrderField || {});
var EnterpriseServerInstallationOrderField = /* @__PURE__ */ ((EnterpriseServerInstallationOrderField2) => {
  EnterpriseServerInstallationOrderField2["CreatedAt"] = "CREATED_AT";
  EnterpriseServerInstallationOrderField2["CustomerName"] = "CUSTOMER_NAME";
  EnterpriseServerInstallationOrderField2["HostName"] = "HOST_NAME";
  return EnterpriseServerInstallationOrderField2;
})(EnterpriseServerInstallationOrderField || {});
var EnterpriseServerUserAccountEmailOrderField = /* @__PURE__ */ ((EnterpriseServerUserAccountEmailOrderField2) => {
  EnterpriseServerUserAccountEmailOrderField2["Email"] = "EMAIL";
  return EnterpriseServerUserAccountEmailOrderField2;
})(EnterpriseServerUserAccountEmailOrderField || {});
var EnterpriseServerUserAccountOrderField = /* @__PURE__ */ ((EnterpriseServerUserAccountOrderField2) => {
  EnterpriseServerUserAccountOrderField2["Login"] = "LOGIN";
  EnterpriseServerUserAccountOrderField2["RemoteCreatedAt"] = "REMOTE_CREATED_AT";
  return EnterpriseServerUserAccountOrderField2;
})(EnterpriseServerUserAccountOrderField || {});
var EnterpriseServerUserAccountsUploadOrderField = /* @__PURE__ */ ((EnterpriseServerUserAccountsUploadOrderField2) => {
  EnterpriseServerUserAccountsUploadOrderField2["CreatedAt"] = "CREATED_AT";
  return EnterpriseServerUserAccountsUploadOrderField2;
})(EnterpriseServerUserAccountsUploadOrderField || {});
var EnterpriseServerUserAccountsUploadSyncState = /* @__PURE__ */ ((EnterpriseServerUserAccountsUploadSyncState2) => {
  EnterpriseServerUserAccountsUploadSyncState2["Failure"] = "FAILURE";
  EnterpriseServerUserAccountsUploadSyncState2["Pending"] = "PENDING";
  EnterpriseServerUserAccountsUploadSyncState2["Success"] = "SUCCESS";
  return EnterpriseServerUserAccountsUploadSyncState2;
})(EnterpriseServerUserAccountsUploadSyncState || {});
var EnterpriseUserAccountMembershipRole = /* @__PURE__ */ ((EnterpriseUserAccountMembershipRole2) => {
  EnterpriseUserAccountMembershipRole2["Member"] = "MEMBER";
  EnterpriseUserAccountMembershipRole2["Owner"] = "OWNER";
  EnterpriseUserAccountMembershipRole2["Unaffiliated"] = "UNAFFILIATED";
  return EnterpriseUserAccountMembershipRole2;
})(EnterpriseUserAccountMembershipRole || {});
var EnterpriseUserDeployment = /* @__PURE__ */ ((EnterpriseUserDeployment2) => {
  EnterpriseUserDeployment2["Cloud"] = "CLOUD";
  EnterpriseUserDeployment2["Server"] = "SERVER";
  return EnterpriseUserDeployment2;
})(EnterpriseUserDeployment || {});
var EnvironmentOrderField = /* @__PURE__ */ ((EnvironmentOrderField2) => {
  EnvironmentOrderField2["Name"] = "NAME";
  return EnvironmentOrderField2;
})(EnvironmentOrderField || {});
var FileViewedState = /* @__PURE__ */ ((FileViewedState2) => {
  FileViewedState2["Dismissed"] = "DISMISSED";
  FileViewedState2["Unviewed"] = "UNVIEWED";
  FileViewedState2["Viewed"] = "VIEWED";
  return FileViewedState2;
})(FileViewedState || {});
var FundingPlatform = /* @__PURE__ */ ((FundingPlatform2) => {
  FundingPlatform2["CommunityBridge"] = "COMMUNITY_BRIDGE";
  FundingPlatform2["Custom"] = "CUSTOM";
  FundingPlatform2["Github"] = "GITHUB";
  FundingPlatform2["Issuehunt"] = "ISSUEHUNT";
  FundingPlatform2["KoFi"] = "KO_FI";
  FundingPlatform2["LfxCrowdfunding"] = "LFX_CROWDFUNDING";
  FundingPlatform2["Liberapay"] = "LIBERAPAY";
  FundingPlatform2["OpenCollective"] = "OPEN_COLLECTIVE";
  FundingPlatform2["Otechie"] = "OTECHIE";
  FundingPlatform2["Patreon"] = "PATREON";
  FundingPlatform2["Tidelift"] = "TIDELIFT";
  return FundingPlatform2;
})(FundingPlatform || {});
var GistOrderField = /* @__PURE__ */ ((GistOrderField2) => {
  GistOrderField2["CreatedAt"] = "CREATED_AT";
  GistOrderField2["PushedAt"] = "PUSHED_AT";
  GistOrderField2["UpdatedAt"] = "UPDATED_AT";
  return GistOrderField2;
})(GistOrderField || {});
var GistPrivacy = /* @__PURE__ */ ((GistPrivacy2) => {
  GistPrivacy2["All"] = "ALL";
  GistPrivacy2["Public"] = "PUBLIC";
  GistPrivacy2["Secret"] = "SECRET";
  return GistPrivacy2;
})(GistPrivacy || {});
var GitSignatureState = /* @__PURE__ */ ((GitSignatureState2) => {
  GitSignatureState2["BadCert"] = "BAD_CERT";
  GitSignatureState2["BadEmail"] = "BAD_EMAIL";
  GitSignatureState2["ExpiredKey"] = "EXPIRED_KEY";
  GitSignatureState2["GpgverifyError"] = "GPGVERIFY_ERROR";
  GitSignatureState2["GpgverifyUnavailable"] = "GPGVERIFY_UNAVAILABLE";
  GitSignatureState2["Invalid"] = "INVALID";
  GitSignatureState2["MalformedSig"] = "MALFORMED_SIG";
  GitSignatureState2["NotSigningKey"] = "NOT_SIGNING_KEY";
  GitSignatureState2["NoUser"] = "NO_USER";
  GitSignatureState2["OcspError"] = "OCSP_ERROR";
  GitSignatureState2["OcspPending"] = "OCSP_PENDING";
  GitSignatureState2["OcspRevoked"] = "OCSP_REVOKED";
  GitSignatureState2["UnknownKey"] = "UNKNOWN_KEY";
  GitSignatureState2["UnknownSigType"] = "UNKNOWN_SIG_TYPE";
  GitSignatureState2["Unsigned"] = "UNSIGNED";
  GitSignatureState2["UnverifiedEmail"] = "UNVERIFIED_EMAIL";
  GitSignatureState2["Valid"] = "VALID";
  return GitSignatureState2;
})(GitSignatureState || {});
var IdentityProviderConfigurationState = /* @__PURE__ */ ((IdentityProviderConfigurationState2) => {
  IdentityProviderConfigurationState2["Configured"] = "CONFIGURED";
  IdentityProviderConfigurationState2["Enforced"] = "ENFORCED";
  IdentityProviderConfigurationState2["Unconfigured"] = "UNCONFIGURED";
  return IdentityProviderConfigurationState2;
})(IdentityProviderConfigurationState || {});
var IpAllowListEnabledSettingValue = /* @__PURE__ */ ((IpAllowListEnabledSettingValue2) => {
  IpAllowListEnabledSettingValue2["Disabled"] = "DISABLED";
  IpAllowListEnabledSettingValue2["Enabled"] = "ENABLED";
  return IpAllowListEnabledSettingValue2;
})(IpAllowListEnabledSettingValue || {});
var IpAllowListEntryOrderField = /* @__PURE__ */ ((IpAllowListEntryOrderField2) => {
  IpAllowListEntryOrderField2["AllowListValue"] = "ALLOW_LIST_VALUE";
  IpAllowListEntryOrderField2["CreatedAt"] = "CREATED_AT";
  return IpAllowListEntryOrderField2;
})(IpAllowListEntryOrderField || {});
var IpAllowListForInstalledAppsEnabledSettingValue = /* @__PURE__ */ ((IpAllowListForInstalledAppsEnabledSettingValue2) => {
  IpAllowListForInstalledAppsEnabledSettingValue2["Disabled"] = "DISABLED";
  IpAllowListForInstalledAppsEnabledSettingValue2["Enabled"] = "ENABLED";
  return IpAllowListForInstalledAppsEnabledSettingValue2;
})(IpAllowListForInstalledAppsEnabledSettingValue || {});
var IssueClosedStateReason = /* @__PURE__ */ ((IssueClosedStateReason2) => {
  IssueClosedStateReason2["Completed"] = "COMPLETED";
  IssueClosedStateReason2["NotPlanned"] = "NOT_PLANNED";
  return IssueClosedStateReason2;
})(IssueClosedStateReason || {});
var IssueCommentOrderField = /* @__PURE__ */ ((IssueCommentOrderField2) => {
  IssueCommentOrderField2["UpdatedAt"] = "UPDATED_AT";
  return IssueCommentOrderField2;
})(IssueCommentOrderField || {});
var IssueOrderField = /* @__PURE__ */ ((IssueOrderField2) => {
  IssueOrderField2["Comments"] = "COMMENTS";
  IssueOrderField2["CreatedAt"] = "CREATED_AT";
  IssueOrderField2["UpdatedAt"] = "UPDATED_AT";
  return IssueOrderField2;
})(IssueOrderField || {});
var IssueState = /* @__PURE__ */ ((IssueState2) => {
  IssueState2["Closed"] = "CLOSED";
  IssueState2["Open"] = "OPEN";
  return IssueState2;
})(IssueState || {});
var IssueStateReason = /* @__PURE__ */ ((IssueStateReason2) => {
  IssueStateReason2["Completed"] = "COMPLETED";
  IssueStateReason2["NotPlanned"] = "NOT_PLANNED";
  IssueStateReason2["Reopened"] = "REOPENED";
  return IssueStateReason2;
})(IssueStateReason || {});
var IssueTimelineItemsItemType = /* @__PURE__ */ ((IssueTimelineItemsItemType2) => {
  IssueTimelineItemsItemType2["AddedToProjectEvent"] = "ADDED_TO_PROJECT_EVENT";
  IssueTimelineItemsItemType2["AssignedEvent"] = "ASSIGNED_EVENT";
  IssueTimelineItemsItemType2["ClosedEvent"] = "CLOSED_EVENT";
  IssueTimelineItemsItemType2["CommentDeletedEvent"] = "COMMENT_DELETED_EVENT";
  IssueTimelineItemsItemType2["ConnectedEvent"] = "CONNECTED_EVENT";
  IssueTimelineItemsItemType2["ConvertedNoteToIssueEvent"] = "CONVERTED_NOTE_TO_ISSUE_EVENT";
  IssueTimelineItemsItemType2["ConvertedToDiscussionEvent"] = "CONVERTED_TO_DISCUSSION_EVENT";
  IssueTimelineItemsItemType2["CrossReferencedEvent"] = "CROSS_REFERENCED_EVENT";
  IssueTimelineItemsItemType2["DemilestonedEvent"] = "DEMILESTONED_EVENT";
  IssueTimelineItemsItemType2["DisconnectedEvent"] = "DISCONNECTED_EVENT";
  IssueTimelineItemsItemType2["IssueComment"] = "ISSUE_COMMENT";
  IssueTimelineItemsItemType2["LabeledEvent"] = "LABELED_EVENT";
  IssueTimelineItemsItemType2["LockedEvent"] = "LOCKED_EVENT";
  IssueTimelineItemsItemType2["MarkedAsDuplicateEvent"] = "MARKED_AS_DUPLICATE_EVENT";
  IssueTimelineItemsItemType2["MentionedEvent"] = "MENTIONED_EVENT";
  IssueTimelineItemsItemType2["MilestonedEvent"] = "MILESTONED_EVENT";
  IssueTimelineItemsItemType2["MovedColumnsInProjectEvent"] = "MOVED_COLUMNS_IN_PROJECT_EVENT";
  IssueTimelineItemsItemType2["PinnedEvent"] = "PINNED_EVENT";
  IssueTimelineItemsItemType2["ReferencedEvent"] = "REFERENCED_EVENT";
  IssueTimelineItemsItemType2["RemovedFromProjectEvent"] = "REMOVED_FROM_PROJECT_EVENT";
  IssueTimelineItemsItemType2["RenamedTitleEvent"] = "RENAMED_TITLE_EVENT";
  IssueTimelineItemsItemType2["ReopenedEvent"] = "REOPENED_EVENT";
  IssueTimelineItemsItemType2["SubscribedEvent"] = "SUBSCRIBED_EVENT";
  IssueTimelineItemsItemType2["TransferredEvent"] = "TRANSFERRED_EVENT";
  IssueTimelineItemsItemType2["UnassignedEvent"] = "UNASSIGNED_EVENT";
  IssueTimelineItemsItemType2["UnlabeledEvent"] = "UNLABELED_EVENT";
  IssueTimelineItemsItemType2["UnlockedEvent"] = "UNLOCKED_EVENT";
  IssueTimelineItemsItemType2["UnmarkedAsDuplicateEvent"] = "UNMARKED_AS_DUPLICATE_EVENT";
  IssueTimelineItemsItemType2["UnpinnedEvent"] = "UNPINNED_EVENT";
  IssueTimelineItemsItemType2["UnsubscribedEvent"] = "UNSUBSCRIBED_EVENT";
  IssueTimelineItemsItemType2["UserBlockedEvent"] = "USER_BLOCKED_EVENT";
  return IssueTimelineItemsItemType2;
})(IssueTimelineItemsItemType || {});
var LabelOrderField = /* @__PURE__ */ ((LabelOrderField2) => {
  LabelOrderField2["CreatedAt"] = "CREATED_AT";
  LabelOrderField2["Name"] = "NAME";
  return LabelOrderField2;
})(LabelOrderField || {});
var LanguageOrderField = /* @__PURE__ */ ((LanguageOrderField2) => {
  LanguageOrderField2["Size"] = "SIZE";
  return LanguageOrderField2;
})(LanguageOrderField || {});
var LockReason = /* @__PURE__ */ ((LockReason2) => {
  LockReason2["OffTopic"] = "OFF_TOPIC";
  LockReason2["Resolved"] = "RESOLVED";
  LockReason2["Spam"] = "SPAM";
  LockReason2["TooHeated"] = "TOO_HEATED";
  return LockReason2;
})(LockReason || {});
var MannequinOrderField = /* @__PURE__ */ ((MannequinOrderField2) => {
  MannequinOrderField2["CreatedAt"] = "CREATED_AT";
  MannequinOrderField2["Login"] = "LOGIN";
  return MannequinOrderField2;
})(MannequinOrderField || {});
var MergeCommitMessage = /* @__PURE__ */ ((MergeCommitMessage2) => {
  MergeCommitMessage2["Blank"] = "BLANK";
  MergeCommitMessage2["PrBody"] = "PR_BODY";
  MergeCommitMessage2["PrTitle"] = "PR_TITLE";
  return MergeCommitMessage2;
})(MergeCommitMessage || {});
var MergeCommitTitle = /* @__PURE__ */ ((MergeCommitTitle2) => {
  MergeCommitTitle2["MergeMessage"] = "MERGE_MESSAGE";
  MergeCommitTitle2["PrTitle"] = "PR_TITLE";
  return MergeCommitTitle2;
})(MergeCommitTitle || {});
var MergeQueueEntryState = /* @__PURE__ */ ((MergeQueueEntryState2) => {
  MergeQueueEntryState2["AwaitingChecks"] = "AWAITING_CHECKS";
  MergeQueueEntryState2["Locked"] = "LOCKED";
  MergeQueueEntryState2["Mergeable"] = "MERGEABLE";
  MergeQueueEntryState2["Queued"] = "QUEUED";
  MergeQueueEntryState2["Unmergeable"] = "UNMERGEABLE";
  return MergeQueueEntryState2;
})(MergeQueueEntryState || {});
var MergeQueueMergingStrategy = /* @__PURE__ */ ((MergeQueueMergingStrategy2) => {
  MergeQueueMergingStrategy2["Allgreen"] = "ALLGREEN";
  MergeQueueMergingStrategy2["Headgreen"] = "HEADGREEN";
  return MergeQueueMergingStrategy2;
})(MergeQueueMergingStrategy || {});
var MergeableState = /* @__PURE__ */ ((MergeableState2) => {
  MergeableState2["Conflicting"] = "CONFLICTING";
  MergeableState2["Mergeable"] = "MERGEABLE";
  MergeableState2["Unknown"] = "UNKNOWN";
  return MergeableState2;
})(MergeableState || {});
var MigrationSourceType = /* @__PURE__ */ ((MigrationSourceType2) => {
  MigrationSourceType2["AzureDevops"] = "AZURE_DEVOPS";
  MigrationSourceType2["BitbucketServer"] = "BITBUCKET_SERVER";
  MigrationSourceType2["GithubArchive"] = "GITHUB_ARCHIVE";
  return MigrationSourceType2;
})(MigrationSourceType || {});
var MigrationState = /* @__PURE__ */ ((MigrationState2) => {
  MigrationState2["Failed"] = "FAILED";
  MigrationState2["FailedValidation"] = "FAILED_VALIDATION";
  MigrationState2["InProgress"] = "IN_PROGRESS";
  MigrationState2["NotStarted"] = "NOT_STARTED";
  MigrationState2["PendingValidation"] = "PENDING_VALIDATION";
  MigrationState2["Queued"] = "QUEUED";
  MigrationState2["Succeeded"] = "SUCCEEDED";
  return MigrationState2;
})(MigrationState || {});
var MilestoneOrderField = /* @__PURE__ */ ((MilestoneOrderField2) => {
  MilestoneOrderField2["CreatedAt"] = "CREATED_AT";
  MilestoneOrderField2["DueDate"] = "DUE_DATE";
  MilestoneOrderField2["Number"] = "NUMBER";
  MilestoneOrderField2["UpdatedAt"] = "UPDATED_AT";
  return MilestoneOrderField2;
})(MilestoneOrderField || {});
var MilestoneState = /* @__PURE__ */ ((MilestoneState2) => {
  MilestoneState2["Closed"] = "CLOSED";
  MilestoneState2["Open"] = "OPEN";
  return MilestoneState2;
})(MilestoneState || {});
var NotificationRestrictionSettingValue = /* @__PURE__ */ ((NotificationRestrictionSettingValue2) => {
  NotificationRestrictionSettingValue2["Disabled"] = "DISABLED";
  NotificationRestrictionSettingValue2["Enabled"] = "ENABLED";
  return NotificationRestrictionSettingValue2;
})(NotificationRestrictionSettingValue || {});
var OidcProviderType = /* @__PURE__ */ ((OidcProviderType2) => {
  OidcProviderType2["Aad"] = "AAD";
  return OidcProviderType2;
})(OidcProviderType || {});
var OauthApplicationCreateAuditEntryState = /* @__PURE__ */ ((OauthApplicationCreateAuditEntryState2) => {
  OauthApplicationCreateAuditEntryState2["Active"] = "ACTIVE";
  OauthApplicationCreateAuditEntryState2["PendingDeletion"] = "PENDING_DELETION";
  OauthApplicationCreateAuditEntryState2["Suspended"] = "SUSPENDED";
  return OauthApplicationCreateAuditEntryState2;
})(OauthApplicationCreateAuditEntryState || {});
var OperationType = /* @__PURE__ */ ((OperationType2) => {
  OperationType2["Access"] = "ACCESS";
  OperationType2["Authentication"] = "AUTHENTICATION";
  OperationType2["Create"] = "CREATE";
  OperationType2["Modify"] = "MODIFY";
  OperationType2["Remove"] = "REMOVE";
  OperationType2["Restore"] = "RESTORE";
  OperationType2["Transfer"] = "TRANSFER";
  return OperationType2;
})(OperationType || {});
var OrderDirection = /* @__PURE__ */ ((OrderDirection2) => {
  OrderDirection2["Asc"] = "ASC";
  OrderDirection2["Desc"] = "DESC";
  return OrderDirection2;
})(OrderDirection || {});
var OrgAddMemberAuditEntryPermission = /* @__PURE__ */ ((OrgAddMemberAuditEntryPermission2) => {
  OrgAddMemberAuditEntryPermission2["Admin"] = "ADMIN";
  OrgAddMemberAuditEntryPermission2["Read"] = "READ";
  return OrgAddMemberAuditEntryPermission2;
})(OrgAddMemberAuditEntryPermission || {});
var OrgCreateAuditEntryBillingPlan = /* @__PURE__ */ ((OrgCreateAuditEntryBillingPlan2) => {
  OrgCreateAuditEntryBillingPlan2["Business"] = "BUSINESS";
  OrgCreateAuditEntryBillingPlan2["BusinessPlus"] = "BUSINESS_PLUS";
  OrgCreateAuditEntryBillingPlan2["Free"] = "FREE";
  OrgCreateAuditEntryBillingPlan2["TieredPerSeat"] = "TIERED_PER_SEAT";
  OrgCreateAuditEntryBillingPlan2["Unlimited"] = "UNLIMITED";
  return OrgCreateAuditEntryBillingPlan2;
})(OrgCreateAuditEntryBillingPlan || {});
var OrgEnterpriseOwnerOrderField = /* @__PURE__ */ ((OrgEnterpriseOwnerOrderField2) => {
  OrgEnterpriseOwnerOrderField2["Login"] = "LOGIN";
  return OrgEnterpriseOwnerOrderField2;
})(OrgEnterpriseOwnerOrderField || {});
var OrgRemoveBillingManagerAuditEntryReason = /* @__PURE__ */ ((OrgRemoveBillingManagerAuditEntryReason2) => {
  OrgRemoveBillingManagerAuditEntryReason2["SamlExternalIdentityMissing"] = "SAML_EXTERNAL_IDENTITY_MISSING";
  OrgRemoveBillingManagerAuditEntryReason2["SamlSsoEnforcementRequiresExternalIdentity"] = "SAML_SSO_ENFORCEMENT_REQUIRES_EXTERNAL_IDENTITY";
  OrgRemoveBillingManagerAuditEntryReason2["TwoFactorRequirementNonCompliance"] = "TWO_FACTOR_REQUIREMENT_NON_COMPLIANCE";
  return OrgRemoveBillingManagerAuditEntryReason2;
})(OrgRemoveBillingManagerAuditEntryReason || {});
var OrgRemoveMemberAuditEntryMembershipType = /* @__PURE__ */ ((OrgRemoveMemberAuditEntryMembershipType2) => {
  OrgRemoveMemberAuditEntryMembershipType2["Admin"] = "ADMIN";
  OrgRemoveMemberAuditEntryMembershipType2["BillingManager"] = "BILLING_MANAGER";
  OrgRemoveMemberAuditEntryMembershipType2["DirectMember"] = "DIRECT_MEMBER";
  OrgRemoveMemberAuditEntryMembershipType2["OutsideCollaborator"] = "OUTSIDE_COLLABORATOR";
  OrgRemoveMemberAuditEntryMembershipType2["Suspended"] = "SUSPENDED";
  OrgRemoveMemberAuditEntryMembershipType2["Unaffiliated"] = "UNAFFILIATED";
  return OrgRemoveMemberAuditEntryMembershipType2;
})(OrgRemoveMemberAuditEntryMembershipType || {});
var OrgRemoveMemberAuditEntryReason = /* @__PURE__ */ ((OrgRemoveMemberAuditEntryReason2) => {
  OrgRemoveMemberAuditEntryReason2["SamlExternalIdentityMissing"] = "SAML_EXTERNAL_IDENTITY_MISSING";
  OrgRemoveMemberAuditEntryReason2["SamlSsoEnforcementRequiresExternalIdentity"] = "SAML_SSO_ENFORCEMENT_REQUIRES_EXTERNAL_IDENTITY";
  OrgRemoveMemberAuditEntryReason2["TwoFactorAccountRecovery"] = "TWO_FACTOR_ACCOUNT_RECOVERY";
  OrgRemoveMemberAuditEntryReason2["TwoFactorRequirementNonCompliance"] = "TWO_FACTOR_REQUIREMENT_NON_COMPLIANCE";
  OrgRemoveMemberAuditEntryReason2["UserAccountDeleted"] = "USER_ACCOUNT_DELETED";
  return OrgRemoveMemberAuditEntryReason2;
})(OrgRemoveMemberAuditEntryReason || {});
var OrgRemoveOutsideCollaboratorAuditEntryMembershipType = /* @__PURE__ */ ((OrgRemoveOutsideCollaboratorAuditEntryMembershipType2) => {
  OrgRemoveOutsideCollaboratorAuditEntryMembershipType2["BillingManager"] = "BILLING_MANAGER";
  OrgRemoveOutsideCollaboratorAuditEntryMembershipType2["OutsideCollaborator"] = "OUTSIDE_COLLABORATOR";
  OrgRemoveOutsideCollaboratorAuditEntryMembershipType2["Unaffiliated"] = "UNAFFILIATED";
  return OrgRemoveOutsideCollaboratorAuditEntryMembershipType2;
})(OrgRemoveOutsideCollaboratorAuditEntryMembershipType || {});
var OrgRemoveOutsideCollaboratorAuditEntryReason = /* @__PURE__ */ ((OrgRemoveOutsideCollaboratorAuditEntryReason2) => {
  OrgRemoveOutsideCollaboratorAuditEntryReason2["SamlExternalIdentityMissing"] = "SAML_EXTERNAL_IDENTITY_MISSING";
  OrgRemoveOutsideCollaboratorAuditEntryReason2["TwoFactorRequirementNonCompliance"] = "TWO_FACTOR_REQUIREMENT_NON_COMPLIANCE";
  return OrgRemoveOutsideCollaboratorAuditEntryReason2;
})(OrgRemoveOutsideCollaboratorAuditEntryReason || {});
var OrgUpdateDefaultRepositoryPermissionAuditEntryPermission = /* @__PURE__ */ ((OrgUpdateDefaultRepositoryPermissionAuditEntryPermission2) => {
  OrgUpdateDefaultRepositoryPermissionAuditEntryPermission2["Admin"] = "ADMIN";
  OrgUpdateDefaultRepositoryPermissionAuditEntryPermission2["None"] = "NONE";
  OrgUpdateDefaultRepositoryPermissionAuditEntryPermission2["Read"] = "READ";
  OrgUpdateDefaultRepositoryPermissionAuditEntryPermission2["Write"] = "WRITE";
  return OrgUpdateDefaultRepositoryPermissionAuditEntryPermission2;
})(OrgUpdateDefaultRepositoryPermissionAuditEntryPermission || {});
var OrgUpdateMemberAuditEntryPermission = /* @__PURE__ */ ((OrgUpdateMemberAuditEntryPermission2) => {
  OrgUpdateMemberAuditEntryPermission2["Admin"] = "ADMIN";
  OrgUpdateMemberAuditEntryPermission2["Read"] = "READ";
  return OrgUpdateMemberAuditEntryPermission2;
})(OrgUpdateMemberAuditEntryPermission || {});
var OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility = /* @__PURE__ */ ((OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2) => {
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["All"] = "ALL";
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["Internal"] = "INTERNAL";
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["None"] = "NONE";
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["Private"] = "PRIVATE";
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["PrivateInternal"] = "PRIVATE_INTERNAL";
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["Public"] = "PUBLIC";
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["PublicInternal"] = "PUBLIC_INTERNAL";
  OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2["PublicPrivate"] = "PUBLIC_PRIVATE";
  return OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility2;
})(OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility || {});
var OrganizationInvitationRole = /* @__PURE__ */ ((OrganizationInvitationRole2) => {
  OrganizationInvitationRole2["Admin"] = "ADMIN";
  OrganizationInvitationRole2["BillingManager"] = "BILLING_MANAGER";
  OrganizationInvitationRole2["DirectMember"] = "DIRECT_MEMBER";
  OrganizationInvitationRole2["Reinstate"] = "REINSTATE";
  return OrganizationInvitationRole2;
})(OrganizationInvitationRole || {});
var OrganizationInvitationSource = /* @__PURE__ */ ((OrganizationInvitationSource2) => {
  OrganizationInvitationSource2["Member"] = "MEMBER";
  OrganizationInvitationSource2["Scim"] = "SCIM";
  OrganizationInvitationSource2["Unknown"] = "UNKNOWN";
  return OrganizationInvitationSource2;
})(OrganizationInvitationSource || {});
var OrganizationInvitationType = /* @__PURE__ */ ((OrganizationInvitationType2) => {
  OrganizationInvitationType2["Email"] = "EMAIL";
  OrganizationInvitationType2["User"] = "USER";
  return OrganizationInvitationType2;
})(OrganizationInvitationType || {});
var OrganizationMemberRole = /* @__PURE__ */ ((OrganizationMemberRole2) => {
  OrganizationMemberRole2["Admin"] = "ADMIN";
  OrganizationMemberRole2["Member"] = "MEMBER";
  return OrganizationMemberRole2;
})(OrganizationMemberRole || {});
var OrganizationMembersCanCreateRepositoriesSettingValue = /* @__PURE__ */ ((OrganizationMembersCanCreateRepositoriesSettingValue2) => {
  OrganizationMembersCanCreateRepositoriesSettingValue2["All"] = "ALL";
  OrganizationMembersCanCreateRepositoriesSettingValue2["Disabled"] = "DISABLED";
  OrganizationMembersCanCreateRepositoriesSettingValue2["Internal"] = "INTERNAL";
  OrganizationMembersCanCreateRepositoriesSettingValue2["Private"] = "PRIVATE";
  return OrganizationMembersCanCreateRepositoriesSettingValue2;
})(OrganizationMembersCanCreateRepositoriesSettingValue || {});
var OrganizationMigrationState = /* @__PURE__ */ ((OrganizationMigrationState2) => {
  OrganizationMigrationState2["Failed"] = "FAILED";
  OrganizationMigrationState2["FailedValidation"] = "FAILED_VALIDATION";
  OrganizationMigrationState2["InProgress"] = "IN_PROGRESS";
  OrganizationMigrationState2["NotStarted"] = "NOT_STARTED";
  OrganizationMigrationState2["PendingValidation"] = "PENDING_VALIDATION";
  OrganizationMigrationState2["PostRepoMigration"] = "POST_REPO_MIGRATION";
  OrganizationMigrationState2["PreRepoMigration"] = "PRE_REPO_MIGRATION";
  OrganizationMigrationState2["Queued"] = "QUEUED";
  OrganizationMigrationState2["RepoMigration"] = "REPO_MIGRATION";
  OrganizationMigrationState2["Succeeded"] = "SUCCEEDED";
  return OrganizationMigrationState2;
})(OrganizationMigrationState || {});
var OrganizationOrderField = /* @__PURE__ */ ((OrganizationOrderField2) => {
  OrganizationOrderField2["CreatedAt"] = "CREATED_AT";
  OrganizationOrderField2["Login"] = "LOGIN";
  return OrganizationOrderField2;
})(OrganizationOrderField || {});
var PackageFileOrderField = /* @__PURE__ */ ((PackageFileOrderField2) => {
  PackageFileOrderField2["CreatedAt"] = "CREATED_AT";
  return PackageFileOrderField2;
})(PackageFileOrderField || {});
var PackageOrderField = /* @__PURE__ */ ((PackageOrderField2) => {
  PackageOrderField2["CreatedAt"] = "CREATED_AT";
  return PackageOrderField2;
})(PackageOrderField || {});
var PackageType = /* @__PURE__ */ ((PackageType2) => {
  PackageType2["Debian"] = "DEBIAN";
  PackageType2["Docker"] = "DOCKER";
  PackageType2["Maven"] = "MAVEN";
  PackageType2["Npm"] = "NPM";
  PackageType2["Nuget"] = "NUGET";
  PackageType2["Pypi"] = "PYPI";
  PackageType2["Rubygems"] = "RUBYGEMS";
  return PackageType2;
})(PackageType || {});
var PackageVersionOrderField = /* @__PURE__ */ ((PackageVersionOrderField2) => {
  PackageVersionOrderField2["CreatedAt"] = "CREATED_AT";
  return PackageVersionOrderField2;
})(PackageVersionOrderField || {});
var PatchStatus = /* @__PURE__ */ ((PatchStatus2) => {
  PatchStatus2["Added"] = "ADDED";
  PatchStatus2["Changed"] = "CHANGED";
  PatchStatus2["Copied"] = "COPIED";
  PatchStatus2["Deleted"] = "DELETED";
  PatchStatus2["Modified"] = "MODIFIED";
  PatchStatus2["Renamed"] = "RENAMED";
  return PatchStatus2;
})(PatchStatus || {});
var PinnableItemType = /* @__PURE__ */ ((PinnableItemType2) => {
  PinnableItemType2["Gist"] = "GIST";
  PinnableItemType2["Issue"] = "ISSUE";
  PinnableItemType2["Organization"] = "ORGANIZATION";
  PinnableItemType2["Project"] = "PROJECT";
  PinnableItemType2["PullRequest"] = "PULL_REQUEST";
  PinnableItemType2["Repository"] = "REPOSITORY";
  PinnableItemType2["Team"] = "TEAM";
  PinnableItemType2["User"] = "USER";
  return PinnableItemType2;
})(PinnableItemType || {});
var PinnedDiscussionGradient = /* @__PURE__ */ ((PinnedDiscussionGradient2) => {
  PinnedDiscussionGradient2["BlueMint"] = "BLUE_MINT";
  PinnedDiscussionGradient2["BluePurple"] = "BLUE_PURPLE";
  PinnedDiscussionGradient2["PinkBlue"] = "PINK_BLUE";
  PinnedDiscussionGradient2["PurpleCoral"] = "PURPLE_CORAL";
  PinnedDiscussionGradient2["RedOrange"] = "RED_ORANGE";
  return PinnedDiscussionGradient2;
})(PinnedDiscussionGradient || {});
var PinnedDiscussionPattern = /* @__PURE__ */ ((PinnedDiscussionPattern2) => {
  PinnedDiscussionPattern2["ChevronUp"] = "CHEVRON_UP";
  PinnedDiscussionPattern2["Dot"] = "DOT";
  PinnedDiscussionPattern2["DotFill"] = "DOT_FILL";
  PinnedDiscussionPattern2["HeartFill"] = "HEART_FILL";
  PinnedDiscussionPattern2["Plus"] = "PLUS";
  PinnedDiscussionPattern2["Zap"] = "ZAP";
  return PinnedDiscussionPattern2;
})(PinnedDiscussionPattern || {});
var ProjectCardArchivedState = /* @__PURE__ */ ((ProjectCardArchivedState2) => {
  ProjectCardArchivedState2["Archived"] = "ARCHIVED";
  ProjectCardArchivedState2["NotArchived"] = "NOT_ARCHIVED";
  return ProjectCardArchivedState2;
})(ProjectCardArchivedState || {});
var ProjectCardState = /* @__PURE__ */ ((ProjectCardState2) => {
  ProjectCardState2["ContentOnly"] = "CONTENT_ONLY";
  ProjectCardState2["NoteOnly"] = "NOTE_ONLY";
  ProjectCardState2["Redacted"] = "REDACTED";
  return ProjectCardState2;
})(ProjectCardState || {});
var ProjectColumnPurpose = /* @__PURE__ */ ((ProjectColumnPurpose2) => {
  ProjectColumnPurpose2["Done"] = "DONE";
  ProjectColumnPurpose2["InProgress"] = "IN_PROGRESS";
  ProjectColumnPurpose2["Todo"] = "TODO";
  return ProjectColumnPurpose2;
})(ProjectColumnPurpose || {});
var ProjectOrderField = /* @__PURE__ */ ((ProjectOrderField2) => {
  ProjectOrderField2["CreatedAt"] = "CREATED_AT";
  ProjectOrderField2["Name"] = "NAME";
  ProjectOrderField2["UpdatedAt"] = "UPDATED_AT";
  return ProjectOrderField2;
})(ProjectOrderField || {});
var ProjectState = /* @__PURE__ */ ((ProjectState2) => {
  ProjectState2["Closed"] = "CLOSED";
  ProjectState2["Open"] = "OPEN";
  return ProjectState2;
})(ProjectState || {});
var ProjectTemplate = /* @__PURE__ */ ((ProjectTemplate2) => {
  ProjectTemplate2["AutomatedKanbanV2"] = "AUTOMATED_KANBAN_V2";
  ProjectTemplate2["AutomatedReviewsKanban"] = "AUTOMATED_REVIEWS_KANBAN";
  ProjectTemplate2["BasicKanban"] = "BASIC_KANBAN";
  ProjectTemplate2["BugTriage"] = "BUG_TRIAGE";
  return ProjectTemplate2;
})(ProjectTemplate || {});
var ProjectV2CustomFieldType = /* @__PURE__ */ ((ProjectV2CustomFieldType2) => {
  ProjectV2CustomFieldType2["Date"] = "DATE";
  ProjectV2CustomFieldType2["Number"] = "NUMBER";
  ProjectV2CustomFieldType2["SingleSelect"] = "SINGLE_SELECT";
  ProjectV2CustomFieldType2["Text"] = "TEXT";
  return ProjectV2CustomFieldType2;
})(ProjectV2CustomFieldType || {});
var ProjectV2FieldOrderField = /* @__PURE__ */ ((ProjectV2FieldOrderField2) => {
  ProjectV2FieldOrderField2["CreatedAt"] = "CREATED_AT";
  ProjectV2FieldOrderField2["Name"] = "NAME";
  ProjectV2FieldOrderField2["Position"] = "POSITION";
  return ProjectV2FieldOrderField2;
})(ProjectV2FieldOrderField || {});
var ProjectV2FieldType = /* @__PURE__ */ ((ProjectV2FieldType2) => {
  ProjectV2FieldType2["Assignees"] = "ASSIGNEES";
  ProjectV2FieldType2["Date"] = "DATE";
  ProjectV2FieldType2["Iteration"] = "ITERATION";
  ProjectV2FieldType2["Labels"] = "LABELS";
  ProjectV2FieldType2["LinkedPullRequests"] = "LINKED_PULL_REQUESTS";
  ProjectV2FieldType2["Milestone"] = "MILESTONE";
  ProjectV2FieldType2["Number"] = "NUMBER";
  ProjectV2FieldType2["Repository"] = "REPOSITORY";
  ProjectV2FieldType2["Reviewers"] = "REVIEWERS";
  ProjectV2FieldType2["SingleSelect"] = "SINGLE_SELECT";
  ProjectV2FieldType2["Text"] = "TEXT";
  ProjectV2FieldType2["Title"] = "TITLE";
  ProjectV2FieldType2["TrackedBy"] = "TRACKED_BY";
  ProjectV2FieldType2["Tracks"] = "TRACKS";
  return ProjectV2FieldType2;
})(ProjectV2FieldType || {});
var ProjectV2ItemFieldValueOrderField = /* @__PURE__ */ ((ProjectV2ItemFieldValueOrderField2) => {
  ProjectV2ItemFieldValueOrderField2["Position"] = "POSITION";
  return ProjectV2ItemFieldValueOrderField2;
})(ProjectV2ItemFieldValueOrderField || {});
var ProjectV2ItemOrderField = /* @__PURE__ */ ((ProjectV2ItemOrderField2) => {
  ProjectV2ItemOrderField2["Position"] = "POSITION";
  return ProjectV2ItemOrderField2;
})(ProjectV2ItemOrderField || {});
var ProjectV2ItemType = /* @__PURE__ */ ((ProjectV2ItemType2) => {
  ProjectV2ItemType2["DraftIssue"] = "DRAFT_ISSUE";
  ProjectV2ItemType2["Issue"] = "ISSUE";
  ProjectV2ItemType2["PullRequest"] = "PULL_REQUEST";
  ProjectV2ItemType2["Redacted"] = "REDACTED";
  return ProjectV2ItemType2;
})(ProjectV2ItemType || {});
var ProjectV2OrderField = /* @__PURE__ */ ((ProjectV2OrderField2) => {
  ProjectV2OrderField2["CreatedAt"] = "CREATED_AT";
  ProjectV2OrderField2["Number"] = "NUMBER";
  ProjectV2OrderField2["Title"] = "TITLE";
  ProjectV2OrderField2["UpdatedAt"] = "UPDATED_AT";
  return ProjectV2OrderField2;
})(ProjectV2OrderField || {});
var ProjectV2Roles = /* @__PURE__ */ ((ProjectV2Roles2) => {
  ProjectV2Roles2["Admin"] = "ADMIN";
  ProjectV2Roles2["None"] = "NONE";
  ProjectV2Roles2["Reader"] = "READER";
  ProjectV2Roles2["Writer"] = "WRITER";
  return ProjectV2Roles2;
})(ProjectV2Roles || {});
var ProjectV2SingleSelectFieldOptionColor = /* @__PURE__ */ ((ProjectV2SingleSelectFieldOptionColor2) => {
  ProjectV2SingleSelectFieldOptionColor2["Blue"] = "BLUE";
  ProjectV2SingleSelectFieldOptionColor2["Gray"] = "GRAY";
  ProjectV2SingleSelectFieldOptionColor2["Green"] = "GREEN";
  ProjectV2SingleSelectFieldOptionColor2["Orange"] = "ORANGE";
  ProjectV2SingleSelectFieldOptionColor2["Pink"] = "PINK";
  ProjectV2SingleSelectFieldOptionColor2["Purple"] = "PURPLE";
  ProjectV2SingleSelectFieldOptionColor2["Red"] = "RED";
  ProjectV2SingleSelectFieldOptionColor2["Yellow"] = "YELLOW";
  return ProjectV2SingleSelectFieldOptionColor2;
})(ProjectV2SingleSelectFieldOptionColor || {});
var ProjectV2State = /* @__PURE__ */ ((ProjectV2State2) => {
  ProjectV2State2["Closed"] = "CLOSED";
  ProjectV2State2["Open"] = "OPEN";
  return ProjectV2State2;
})(ProjectV2State || {});
var ProjectV2ViewLayout = /* @__PURE__ */ ((ProjectV2ViewLayout2) => {
  ProjectV2ViewLayout2["BoardLayout"] = "BOARD_LAYOUT";
  ProjectV2ViewLayout2["RoadmapLayout"] = "ROADMAP_LAYOUT";
  ProjectV2ViewLayout2["TableLayout"] = "TABLE_LAYOUT";
  return ProjectV2ViewLayout2;
})(ProjectV2ViewLayout || {});
var ProjectV2ViewOrderField = /* @__PURE__ */ ((ProjectV2ViewOrderField2) => {
  ProjectV2ViewOrderField2["CreatedAt"] = "CREATED_AT";
  ProjectV2ViewOrderField2["Name"] = "NAME";
  ProjectV2ViewOrderField2["Position"] = "POSITION";
  return ProjectV2ViewOrderField2;
})(ProjectV2ViewOrderField || {});
var ProjectV2WorkflowsOrderField = /* @__PURE__ */ ((ProjectV2WorkflowsOrderField2) => {
  ProjectV2WorkflowsOrderField2["CreatedAt"] = "CREATED_AT";
  ProjectV2WorkflowsOrderField2["Name"] = "NAME";
  ProjectV2WorkflowsOrderField2["Number"] = "NUMBER";
  ProjectV2WorkflowsOrderField2["UpdatedAt"] = "UPDATED_AT";
  return ProjectV2WorkflowsOrderField2;
})(ProjectV2WorkflowsOrderField || {});
var PullRequestBranchUpdateMethod = /* @__PURE__ */ ((PullRequestBranchUpdateMethod2) => {
  PullRequestBranchUpdateMethod2["Merge"] = "MERGE";
  PullRequestBranchUpdateMethod2["Rebase"] = "REBASE";
  return PullRequestBranchUpdateMethod2;
})(PullRequestBranchUpdateMethod || {});
var PullRequestMergeMethod = /* @__PURE__ */ ((PullRequestMergeMethod2) => {
  PullRequestMergeMethod2["Merge"] = "MERGE";
  PullRequestMergeMethod2["Rebase"] = "REBASE";
  PullRequestMergeMethod2["Squash"] = "SQUASH";
  return PullRequestMergeMethod2;
})(PullRequestMergeMethod || {});
var PullRequestOrderField = /* @__PURE__ */ ((PullRequestOrderField2) => {
  PullRequestOrderField2["CreatedAt"] = "CREATED_AT";
  PullRequestOrderField2["UpdatedAt"] = "UPDATED_AT";
  return PullRequestOrderField2;
})(PullRequestOrderField || {});
var PullRequestReviewCommentState = /* @__PURE__ */ ((PullRequestReviewCommentState2) => {
  PullRequestReviewCommentState2["Pending"] = "PENDING";
  PullRequestReviewCommentState2["Submitted"] = "SUBMITTED";
  return PullRequestReviewCommentState2;
})(PullRequestReviewCommentState || {});
var PullRequestReviewDecision = /* @__PURE__ */ ((PullRequestReviewDecision2) => {
  PullRequestReviewDecision2["Approved"] = "APPROVED";
  PullRequestReviewDecision2["ChangesRequested"] = "CHANGES_REQUESTED";
  PullRequestReviewDecision2["ReviewRequired"] = "REVIEW_REQUIRED";
  return PullRequestReviewDecision2;
})(PullRequestReviewDecision || {});
var PullRequestReviewEvent = /* @__PURE__ */ ((PullRequestReviewEvent2) => {
  PullRequestReviewEvent2["Approve"] = "APPROVE";
  PullRequestReviewEvent2["Comment"] = "COMMENT";
  PullRequestReviewEvent2["Dismiss"] = "DISMISS";
  PullRequestReviewEvent2["RequestChanges"] = "REQUEST_CHANGES";
  return PullRequestReviewEvent2;
})(PullRequestReviewEvent || {});
var PullRequestReviewState = /* @__PURE__ */ ((PullRequestReviewState2) => {
  PullRequestReviewState2["Approved"] = "APPROVED";
  PullRequestReviewState2["ChangesRequested"] = "CHANGES_REQUESTED";
  PullRequestReviewState2["Commented"] = "COMMENTED";
  PullRequestReviewState2["Dismissed"] = "DISMISSED";
  PullRequestReviewState2["Pending"] = "PENDING";
  return PullRequestReviewState2;
})(PullRequestReviewState || {});
var PullRequestReviewThreadSubjectType = /* @__PURE__ */ ((PullRequestReviewThreadSubjectType2) => {
  PullRequestReviewThreadSubjectType2["File"] = "FILE";
  PullRequestReviewThreadSubjectType2["Line"] = "LINE";
  return PullRequestReviewThreadSubjectType2;
})(PullRequestReviewThreadSubjectType || {});
var PullRequestState = /* @__PURE__ */ ((PullRequestState2) => {
  PullRequestState2["Closed"] = "CLOSED";
  PullRequestState2["Merged"] = "MERGED";
  PullRequestState2["Open"] = "OPEN";
  return PullRequestState2;
})(PullRequestState || {});
var PullRequestTimelineItemsItemType = /* @__PURE__ */ ((PullRequestTimelineItemsItemType2) => {
  PullRequestTimelineItemsItemType2["AddedToMergeQueueEvent"] = "ADDED_TO_MERGE_QUEUE_EVENT";
  PullRequestTimelineItemsItemType2["AddedToProjectEvent"] = "ADDED_TO_PROJECT_EVENT";
  PullRequestTimelineItemsItemType2["AssignedEvent"] = "ASSIGNED_EVENT";
  PullRequestTimelineItemsItemType2["AutomaticBaseChangeFailedEvent"] = "AUTOMATIC_BASE_CHANGE_FAILED_EVENT";
  PullRequestTimelineItemsItemType2["AutomaticBaseChangeSucceededEvent"] = "AUTOMATIC_BASE_CHANGE_SUCCEEDED_EVENT";
  PullRequestTimelineItemsItemType2["AutoMergeDisabledEvent"] = "AUTO_MERGE_DISABLED_EVENT";
  PullRequestTimelineItemsItemType2["AutoMergeEnabledEvent"] = "AUTO_MERGE_ENABLED_EVENT";
  PullRequestTimelineItemsItemType2["AutoRebaseEnabledEvent"] = "AUTO_REBASE_ENABLED_EVENT";
  PullRequestTimelineItemsItemType2["AutoSquashEnabledEvent"] = "AUTO_SQUASH_ENABLED_EVENT";
  PullRequestTimelineItemsItemType2["BaseRefChangedEvent"] = "BASE_REF_CHANGED_EVENT";
  PullRequestTimelineItemsItemType2["BaseRefDeletedEvent"] = "BASE_REF_DELETED_EVENT";
  PullRequestTimelineItemsItemType2["BaseRefForcePushedEvent"] = "BASE_REF_FORCE_PUSHED_EVENT";
  PullRequestTimelineItemsItemType2["ClosedEvent"] = "CLOSED_EVENT";
  PullRequestTimelineItemsItemType2["CommentDeletedEvent"] = "COMMENT_DELETED_EVENT";
  PullRequestTimelineItemsItemType2["ConnectedEvent"] = "CONNECTED_EVENT";
  PullRequestTimelineItemsItemType2["ConvertedNoteToIssueEvent"] = "CONVERTED_NOTE_TO_ISSUE_EVENT";
  PullRequestTimelineItemsItemType2["ConvertedToDiscussionEvent"] = "CONVERTED_TO_DISCUSSION_EVENT";
  PullRequestTimelineItemsItemType2["ConvertToDraftEvent"] = "CONVERT_TO_DRAFT_EVENT";
  PullRequestTimelineItemsItemType2["CrossReferencedEvent"] = "CROSS_REFERENCED_EVENT";
  PullRequestTimelineItemsItemType2["DemilestonedEvent"] = "DEMILESTONED_EVENT";
  PullRequestTimelineItemsItemType2["DeployedEvent"] = "DEPLOYED_EVENT";
  PullRequestTimelineItemsItemType2["DeploymentEnvironmentChangedEvent"] = "DEPLOYMENT_ENVIRONMENT_CHANGED_EVENT";
  PullRequestTimelineItemsItemType2["DisconnectedEvent"] = "DISCONNECTED_EVENT";
  PullRequestTimelineItemsItemType2["HeadRefDeletedEvent"] = "HEAD_REF_DELETED_EVENT";
  PullRequestTimelineItemsItemType2["HeadRefForcePushedEvent"] = "HEAD_REF_FORCE_PUSHED_EVENT";
  PullRequestTimelineItemsItemType2["HeadRefRestoredEvent"] = "HEAD_REF_RESTORED_EVENT";
  PullRequestTimelineItemsItemType2["IssueComment"] = "ISSUE_COMMENT";
  PullRequestTimelineItemsItemType2["LabeledEvent"] = "LABELED_EVENT";
  PullRequestTimelineItemsItemType2["LockedEvent"] = "LOCKED_EVENT";
  PullRequestTimelineItemsItemType2["MarkedAsDuplicateEvent"] = "MARKED_AS_DUPLICATE_EVENT";
  PullRequestTimelineItemsItemType2["MentionedEvent"] = "MENTIONED_EVENT";
  PullRequestTimelineItemsItemType2["MergedEvent"] = "MERGED_EVENT";
  PullRequestTimelineItemsItemType2["MilestonedEvent"] = "MILESTONED_EVENT";
  PullRequestTimelineItemsItemType2["MovedColumnsInProjectEvent"] = "MOVED_COLUMNS_IN_PROJECT_EVENT";
  PullRequestTimelineItemsItemType2["PinnedEvent"] = "PINNED_EVENT";
  PullRequestTimelineItemsItemType2["PullRequestCommit"] = "PULL_REQUEST_COMMIT";
  PullRequestTimelineItemsItemType2["PullRequestCommitCommentThread"] = "PULL_REQUEST_COMMIT_COMMENT_THREAD";
  PullRequestTimelineItemsItemType2["PullRequestReview"] = "PULL_REQUEST_REVIEW";
  PullRequestTimelineItemsItemType2["PullRequestReviewThread"] = "PULL_REQUEST_REVIEW_THREAD";
  PullRequestTimelineItemsItemType2["PullRequestRevisionMarker"] = "PULL_REQUEST_REVISION_MARKER";
  PullRequestTimelineItemsItemType2["ReadyForReviewEvent"] = "READY_FOR_REVIEW_EVENT";
  PullRequestTimelineItemsItemType2["ReferencedEvent"] = "REFERENCED_EVENT";
  PullRequestTimelineItemsItemType2["RemovedFromMergeQueueEvent"] = "REMOVED_FROM_MERGE_QUEUE_EVENT";
  PullRequestTimelineItemsItemType2["RemovedFromProjectEvent"] = "REMOVED_FROM_PROJECT_EVENT";
  PullRequestTimelineItemsItemType2["RenamedTitleEvent"] = "RENAMED_TITLE_EVENT";
  PullRequestTimelineItemsItemType2["ReopenedEvent"] = "REOPENED_EVENT";
  PullRequestTimelineItemsItemType2["ReviewDismissedEvent"] = "REVIEW_DISMISSED_EVENT";
  PullRequestTimelineItemsItemType2["ReviewRequestedEvent"] = "REVIEW_REQUESTED_EVENT";
  PullRequestTimelineItemsItemType2["ReviewRequestRemovedEvent"] = "REVIEW_REQUEST_REMOVED_EVENT";
  PullRequestTimelineItemsItemType2["SubscribedEvent"] = "SUBSCRIBED_EVENT";
  PullRequestTimelineItemsItemType2["TransferredEvent"] = "TRANSFERRED_EVENT";
  PullRequestTimelineItemsItemType2["UnassignedEvent"] = "UNASSIGNED_EVENT";
  PullRequestTimelineItemsItemType2["UnlabeledEvent"] = "UNLABELED_EVENT";
  PullRequestTimelineItemsItemType2["UnlockedEvent"] = "UNLOCKED_EVENT";
  PullRequestTimelineItemsItemType2["UnmarkedAsDuplicateEvent"] = "UNMARKED_AS_DUPLICATE_EVENT";
  PullRequestTimelineItemsItemType2["UnpinnedEvent"] = "UNPINNED_EVENT";
  PullRequestTimelineItemsItemType2["UnsubscribedEvent"] = "UNSUBSCRIBED_EVENT";
  PullRequestTimelineItemsItemType2["UserBlockedEvent"] = "USER_BLOCKED_EVENT";
  return PullRequestTimelineItemsItemType2;
})(PullRequestTimelineItemsItemType || {});
var PullRequestUpdateState = /* @__PURE__ */ ((PullRequestUpdateState2) => {
  PullRequestUpdateState2["Closed"] = "CLOSED";
  PullRequestUpdateState2["Open"] = "OPEN";
  return PullRequestUpdateState2;
})(PullRequestUpdateState || {});
var ReactionContent = /* @__PURE__ */ ((ReactionContent2) => {
  ReactionContent2["Confused"] = "CONFUSED";
  ReactionContent2["Eyes"] = "EYES";
  ReactionContent2["Heart"] = "HEART";
  ReactionContent2["Hooray"] = "HOORAY";
  ReactionContent2["Laugh"] = "LAUGH";
  ReactionContent2["Rocket"] = "ROCKET";
  ReactionContent2["ThumbsDown"] = "THUMBS_DOWN";
  ReactionContent2["ThumbsUp"] = "THUMBS_UP";
  return ReactionContent2;
})(ReactionContent || {});
var ReactionOrderField = /* @__PURE__ */ ((ReactionOrderField2) => {
  ReactionOrderField2["CreatedAt"] = "CREATED_AT";
  return ReactionOrderField2;
})(ReactionOrderField || {});
var RefOrderField = /* @__PURE__ */ ((RefOrderField2) => {
  RefOrderField2["Alphabetical"] = "ALPHABETICAL";
  RefOrderField2["TagCommitDate"] = "TAG_COMMIT_DATE";
  return RefOrderField2;
})(RefOrderField || {});
var ReleaseOrderField = /* @__PURE__ */ ((ReleaseOrderField2) => {
  ReleaseOrderField2["CreatedAt"] = "CREATED_AT";
  ReleaseOrderField2["Name"] = "NAME";
  return ReleaseOrderField2;
})(ReleaseOrderField || {});
var RepoAccessAuditEntryVisibility = /* @__PURE__ */ ((RepoAccessAuditEntryVisibility2) => {
  RepoAccessAuditEntryVisibility2["Internal"] = "INTERNAL";
  RepoAccessAuditEntryVisibility2["Private"] = "PRIVATE";
  RepoAccessAuditEntryVisibility2["Public"] = "PUBLIC";
  return RepoAccessAuditEntryVisibility2;
})(RepoAccessAuditEntryVisibility || {});
var RepoAddMemberAuditEntryVisibility = /* @__PURE__ */ ((RepoAddMemberAuditEntryVisibility2) => {
  RepoAddMemberAuditEntryVisibility2["Internal"] = "INTERNAL";
  RepoAddMemberAuditEntryVisibility2["Private"] = "PRIVATE";
  RepoAddMemberAuditEntryVisibility2["Public"] = "PUBLIC";
  return RepoAddMemberAuditEntryVisibility2;
})(RepoAddMemberAuditEntryVisibility || {});
var RepoArchivedAuditEntryVisibility = /* @__PURE__ */ ((RepoArchivedAuditEntryVisibility2) => {
  RepoArchivedAuditEntryVisibility2["Internal"] = "INTERNAL";
  RepoArchivedAuditEntryVisibility2["Private"] = "PRIVATE";
  RepoArchivedAuditEntryVisibility2["Public"] = "PUBLIC";
  return RepoArchivedAuditEntryVisibility2;
})(RepoArchivedAuditEntryVisibility || {});
var RepoChangeMergeSettingAuditEntryMergeType = /* @__PURE__ */ ((RepoChangeMergeSettingAuditEntryMergeType2) => {
  RepoChangeMergeSettingAuditEntryMergeType2["Merge"] = "MERGE";
  RepoChangeMergeSettingAuditEntryMergeType2["Rebase"] = "REBASE";
  RepoChangeMergeSettingAuditEntryMergeType2["Squash"] = "SQUASH";
  return RepoChangeMergeSettingAuditEntryMergeType2;
})(RepoChangeMergeSettingAuditEntryMergeType || {});
var RepoCreateAuditEntryVisibility = /* @__PURE__ */ ((RepoCreateAuditEntryVisibility2) => {
  RepoCreateAuditEntryVisibility2["Internal"] = "INTERNAL";
  RepoCreateAuditEntryVisibility2["Private"] = "PRIVATE";
  RepoCreateAuditEntryVisibility2["Public"] = "PUBLIC";
  return RepoCreateAuditEntryVisibility2;
})(RepoCreateAuditEntryVisibility || {});
var RepoDestroyAuditEntryVisibility = /* @__PURE__ */ ((RepoDestroyAuditEntryVisibility2) => {
  RepoDestroyAuditEntryVisibility2["Internal"] = "INTERNAL";
  RepoDestroyAuditEntryVisibility2["Private"] = "PRIVATE";
  RepoDestroyAuditEntryVisibility2["Public"] = "PUBLIC";
  return RepoDestroyAuditEntryVisibility2;
})(RepoDestroyAuditEntryVisibility || {});
var RepoRemoveMemberAuditEntryVisibility = /* @__PURE__ */ ((RepoRemoveMemberAuditEntryVisibility2) => {
  RepoRemoveMemberAuditEntryVisibility2["Internal"] = "INTERNAL";
  RepoRemoveMemberAuditEntryVisibility2["Private"] = "PRIVATE";
  RepoRemoveMemberAuditEntryVisibility2["Public"] = "PUBLIC";
  return RepoRemoveMemberAuditEntryVisibility2;
})(RepoRemoveMemberAuditEntryVisibility || {});
var ReportedContentClassifiers = /* @__PURE__ */ ((ReportedContentClassifiers2) => {
  ReportedContentClassifiers2["Abuse"] = "ABUSE";
  ReportedContentClassifiers2["Duplicate"] = "DUPLICATE";
  ReportedContentClassifiers2["OffTopic"] = "OFF_TOPIC";
  ReportedContentClassifiers2["Outdated"] = "OUTDATED";
  ReportedContentClassifiers2["Resolved"] = "RESOLVED";
  ReportedContentClassifiers2["Spam"] = "SPAM";
  return ReportedContentClassifiers2;
})(ReportedContentClassifiers || {});
var RepositoryAffiliation = /* @__PURE__ */ ((RepositoryAffiliation2) => {
  RepositoryAffiliation2["Collaborator"] = "COLLABORATOR";
  RepositoryAffiliation2["OrganizationMember"] = "ORGANIZATION_MEMBER";
  RepositoryAffiliation2["Owner"] = "OWNER";
  return RepositoryAffiliation2;
})(RepositoryAffiliation || {});
var RepositoryContributionType = /* @__PURE__ */ ((RepositoryContributionType2) => {
  RepositoryContributionType2["Commit"] = "COMMIT";
  RepositoryContributionType2["Issue"] = "ISSUE";
  RepositoryContributionType2["PullRequest"] = "PULL_REQUEST";
  RepositoryContributionType2["PullRequestReview"] = "PULL_REQUEST_REVIEW";
  RepositoryContributionType2["Repository"] = "REPOSITORY";
  return RepositoryContributionType2;
})(RepositoryContributionType || {});
var RepositoryInteractionLimit = /* @__PURE__ */ ((RepositoryInteractionLimit2) => {
  RepositoryInteractionLimit2["CollaboratorsOnly"] = "COLLABORATORS_ONLY";
  RepositoryInteractionLimit2["ContributorsOnly"] = "CONTRIBUTORS_ONLY";
  RepositoryInteractionLimit2["ExistingUsers"] = "EXISTING_USERS";
  RepositoryInteractionLimit2["NoLimit"] = "NO_LIMIT";
  return RepositoryInteractionLimit2;
})(RepositoryInteractionLimit || {});
var RepositoryInteractionLimitExpiry = /* @__PURE__ */ ((RepositoryInteractionLimitExpiry2) => {
  RepositoryInteractionLimitExpiry2["OneDay"] = "ONE_DAY";
  RepositoryInteractionLimitExpiry2["OneMonth"] = "ONE_MONTH";
  RepositoryInteractionLimitExpiry2["OneWeek"] = "ONE_WEEK";
  RepositoryInteractionLimitExpiry2["SixMonths"] = "SIX_MONTHS";
  RepositoryInteractionLimitExpiry2["ThreeDays"] = "THREE_DAYS";
  return RepositoryInteractionLimitExpiry2;
})(RepositoryInteractionLimitExpiry || {});
var RepositoryInteractionLimitOrigin = /* @__PURE__ */ ((RepositoryInteractionLimitOrigin2) => {
  RepositoryInteractionLimitOrigin2["Organization"] = "ORGANIZATION";
  RepositoryInteractionLimitOrigin2["Repository"] = "REPOSITORY";
  RepositoryInteractionLimitOrigin2["User"] = "USER";
  return RepositoryInteractionLimitOrigin2;
})(RepositoryInteractionLimitOrigin || {});
var RepositoryInvitationOrderField = /* @__PURE__ */ ((RepositoryInvitationOrderField2) => {
  RepositoryInvitationOrderField2["CreatedAt"] = "CREATED_AT";
  return RepositoryInvitationOrderField2;
})(RepositoryInvitationOrderField || {});
var RepositoryLockReason = /* @__PURE__ */ ((RepositoryLockReason2) => {
  RepositoryLockReason2["Billing"] = "BILLING";
  RepositoryLockReason2["Migrating"] = "MIGRATING";
  RepositoryLockReason2["Moving"] = "MOVING";
  RepositoryLockReason2["Rename"] = "RENAME";
  RepositoryLockReason2["TradeRestriction"] = "TRADE_RESTRICTION";
  RepositoryLockReason2["TransferringOwnership"] = "TRANSFERRING_OWNERSHIP";
  return RepositoryLockReason2;
})(RepositoryLockReason || {});
var RepositoryMigrationOrderDirection = /* @__PURE__ */ ((RepositoryMigrationOrderDirection2) => {
  RepositoryMigrationOrderDirection2["Asc"] = "ASC";
  RepositoryMigrationOrderDirection2["Desc"] = "DESC";
  return RepositoryMigrationOrderDirection2;
})(RepositoryMigrationOrderDirection || {});
var RepositoryMigrationOrderField = /* @__PURE__ */ ((RepositoryMigrationOrderField2) => {
  RepositoryMigrationOrderField2["CreatedAt"] = "CREATED_AT";
  return RepositoryMigrationOrderField2;
})(RepositoryMigrationOrderField || {});
var RepositoryOrderField = /* @__PURE__ */ ((RepositoryOrderField2) => {
  RepositoryOrderField2["CreatedAt"] = "CREATED_AT";
  RepositoryOrderField2["Name"] = "NAME";
  RepositoryOrderField2["PushedAt"] = "PUSHED_AT";
  RepositoryOrderField2["Stargazers"] = "STARGAZERS";
  RepositoryOrderField2["UpdatedAt"] = "UPDATED_AT";
  return RepositoryOrderField2;
})(RepositoryOrderField || {});
var RepositoryPermission = /* @__PURE__ */ ((RepositoryPermission2) => {
  RepositoryPermission2["Admin"] = "ADMIN";
  RepositoryPermission2["Maintain"] = "MAINTAIN";
  RepositoryPermission2["Read"] = "READ";
  RepositoryPermission2["Triage"] = "TRIAGE";
  RepositoryPermission2["Write"] = "WRITE";
  return RepositoryPermission2;
})(RepositoryPermission || {});
var RepositoryPrivacy = /* @__PURE__ */ ((RepositoryPrivacy2) => {
  RepositoryPrivacy2["Private"] = "PRIVATE";
  RepositoryPrivacy2["Public"] = "PUBLIC";
  return RepositoryPrivacy2;
})(RepositoryPrivacy || {});
var RepositoryRuleType = /* @__PURE__ */ ((RepositoryRuleType2) => {
  RepositoryRuleType2["Authorization"] = "AUTHORIZATION";
  RepositoryRuleType2["BranchNamePattern"] = "BRANCH_NAME_PATTERN";
  RepositoryRuleType2["CommitterEmailPattern"] = "COMMITTER_EMAIL_PATTERN";
  RepositoryRuleType2["CommitAuthorEmailPattern"] = "COMMIT_AUTHOR_EMAIL_PATTERN";
  RepositoryRuleType2["CommitMessagePattern"] = "COMMIT_MESSAGE_PATTERN";
  RepositoryRuleType2["Creation"] = "CREATION";
  RepositoryRuleType2["Deletion"] = "DELETION";
  RepositoryRuleType2["LockBranch"] = "LOCK_BRANCH";
  RepositoryRuleType2["MaxRefUpdates"] = "MAX_REF_UPDATES";
  RepositoryRuleType2["MergeQueue"] = "MERGE_QUEUE";
  RepositoryRuleType2["MergeQueueLockedRef"] = "MERGE_QUEUE_LOCKED_REF";
  RepositoryRuleType2["NonFastForward"] = "NON_FAST_FORWARD";
  RepositoryRuleType2["PullRequest"] = "PULL_REQUEST";
  RepositoryRuleType2["RequiredDeployments"] = "REQUIRED_DEPLOYMENTS";
  RepositoryRuleType2["RequiredLinearHistory"] = "REQUIRED_LINEAR_HISTORY";
  RepositoryRuleType2["RequiredReviewThreadResolution"] = "REQUIRED_REVIEW_THREAD_RESOLUTION";
  RepositoryRuleType2["RequiredSignatures"] = "REQUIRED_SIGNATURES";
  RepositoryRuleType2["RequiredStatusChecks"] = "REQUIRED_STATUS_CHECKS";
  RepositoryRuleType2["RequiredWorkflowStatusChecks"] = "REQUIRED_WORKFLOW_STATUS_CHECKS";
  RepositoryRuleType2["RulesetRequiredSignatures"] = "RULESET_REQUIRED_SIGNATURES";
  RepositoryRuleType2["SecretScanning"] = "SECRET_SCANNING";
  RepositoryRuleType2["Tag"] = "TAG";
  RepositoryRuleType2["TagNamePattern"] = "TAG_NAME_PATTERN";
  RepositoryRuleType2["Update"] = "UPDATE";
  RepositoryRuleType2["Workflows"] = "WORKFLOWS";
  RepositoryRuleType2["WorkflowUpdates"] = "WORKFLOW_UPDATES";
  return RepositoryRuleType2;
})(RepositoryRuleType || {});
var RepositoryRulesetBypassActorBypassMode = /* @__PURE__ */ ((RepositoryRulesetBypassActorBypassMode2) => {
  RepositoryRulesetBypassActorBypassMode2["Always"] = "ALWAYS";
  RepositoryRulesetBypassActorBypassMode2["PullRequest"] = "PULL_REQUEST";
  return RepositoryRulesetBypassActorBypassMode2;
})(RepositoryRulesetBypassActorBypassMode || {});
var RepositoryRulesetTarget = /* @__PURE__ */ ((RepositoryRulesetTarget2) => {
  RepositoryRulesetTarget2["Branch"] = "BRANCH";
  RepositoryRulesetTarget2["Tag"] = "TAG";
  return RepositoryRulesetTarget2;
})(RepositoryRulesetTarget || {});
var RepositoryVisibility = /* @__PURE__ */ ((RepositoryVisibility2) => {
  RepositoryVisibility2["Internal"] = "INTERNAL";
  RepositoryVisibility2["Private"] = "PRIVATE";
  RepositoryVisibility2["Public"] = "PUBLIC";
  return RepositoryVisibility2;
})(RepositoryVisibility || {});
var RepositoryVulnerabilityAlertDependencyScope = /* @__PURE__ */ ((RepositoryVulnerabilityAlertDependencyScope2) => {
  RepositoryVulnerabilityAlertDependencyScope2["Development"] = "DEVELOPMENT";
  RepositoryVulnerabilityAlertDependencyScope2["Runtime"] = "RUNTIME";
  return RepositoryVulnerabilityAlertDependencyScope2;
})(RepositoryVulnerabilityAlertDependencyScope || {});
var RepositoryVulnerabilityAlertState = /* @__PURE__ */ ((RepositoryVulnerabilityAlertState2) => {
  RepositoryVulnerabilityAlertState2["AutoDismissed"] = "AUTO_DISMISSED";
  RepositoryVulnerabilityAlertState2["Dismissed"] = "DISMISSED";
  RepositoryVulnerabilityAlertState2["Fixed"] = "FIXED";
  RepositoryVulnerabilityAlertState2["Open"] = "OPEN";
  return RepositoryVulnerabilityAlertState2;
})(RepositoryVulnerabilityAlertState || {});
var RequestableCheckStatusState = /* @__PURE__ */ ((RequestableCheckStatusState2) => {
  RequestableCheckStatusState2["Completed"] = "COMPLETED";
  RequestableCheckStatusState2["InProgress"] = "IN_PROGRESS";
  RequestableCheckStatusState2["Pending"] = "PENDING";
  RequestableCheckStatusState2["Queued"] = "QUEUED";
  RequestableCheckStatusState2["Waiting"] = "WAITING";
  return RequestableCheckStatusState2;
})(RequestableCheckStatusState || {});
var RoleInOrganization = /* @__PURE__ */ ((RoleInOrganization2) => {
  RoleInOrganization2["DirectMember"] = "DIRECT_MEMBER";
  RoleInOrganization2["Owner"] = "OWNER";
  RoleInOrganization2["Unaffiliated"] = "UNAFFILIATED";
  return RoleInOrganization2;
})(RoleInOrganization || {});
var RuleEnforcement = /* @__PURE__ */ ((RuleEnforcement2) => {
  RuleEnforcement2["Active"] = "ACTIVE";
  RuleEnforcement2["Disabled"] = "DISABLED";
  RuleEnforcement2["Evaluate"] = "EVALUATE";
  return RuleEnforcement2;
})(RuleEnforcement || {});
var SamlDigestAlgorithm = /* @__PURE__ */ ((SamlDigestAlgorithm2) => {
  SamlDigestAlgorithm2["Sha1"] = "SHA1";
  SamlDigestAlgorithm2["Sha256"] = "SHA256";
  SamlDigestAlgorithm2["Sha384"] = "SHA384";
  SamlDigestAlgorithm2["Sha512"] = "SHA512";
  return SamlDigestAlgorithm2;
})(SamlDigestAlgorithm || {});
var SamlSignatureAlgorithm = /* @__PURE__ */ ((SamlSignatureAlgorithm2) => {
  SamlSignatureAlgorithm2["RsaSha1"] = "RSA_SHA1";
  SamlSignatureAlgorithm2["RsaSha256"] = "RSA_SHA256";
  SamlSignatureAlgorithm2["RsaSha384"] = "RSA_SHA384";
  SamlSignatureAlgorithm2["RsaSha512"] = "RSA_SHA512";
  return SamlSignatureAlgorithm2;
})(SamlSignatureAlgorithm || {});
var SavedReplyOrderField = /* @__PURE__ */ ((SavedReplyOrderField2) => {
  SavedReplyOrderField2["UpdatedAt"] = "UPDATED_AT";
  return SavedReplyOrderField2;
})(SavedReplyOrderField || {});
var SearchType = /* @__PURE__ */ ((SearchType2) => {
  SearchType2["Discussion"] = "DISCUSSION";
  SearchType2["Issue"] = "ISSUE";
  SearchType2["Repository"] = "REPOSITORY";
  SearchType2["User"] = "USER";
  return SearchType2;
})(SearchType || {});
var SecurityAdvisoryClassification = /* @__PURE__ */ ((SecurityAdvisoryClassification2) => {
  SecurityAdvisoryClassification2["General"] = "GENERAL";
  SecurityAdvisoryClassification2["Malware"] = "MALWARE";
  return SecurityAdvisoryClassification2;
})(SecurityAdvisoryClassification || {});
var SecurityAdvisoryEcosystem = /* @__PURE__ */ ((SecurityAdvisoryEcosystem2) => {
  SecurityAdvisoryEcosystem2["Actions"] = "ACTIONS";
  SecurityAdvisoryEcosystem2["Composer"] = "COMPOSER";
  SecurityAdvisoryEcosystem2["Erlang"] = "ERLANG";
  SecurityAdvisoryEcosystem2["Go"] = "GO";
  SecurityAdvisoryEcosystem2["Maven"] = "MAVEN";
  SecurityAdvisoryEcosystem2["Npm"] = "NPM";
  SecurityAdvisoryEcosystem2["Nuget"] = "NUGET";
  SecurityAdvisoryEcosystem2["Pip"] = "PIP";
  SecurityAdvisoryEcosystem2["Pub"] = "PUB";
  SecurityAdvisoryEcosystem2["Rubygems"] = "RUBYGEMS";
  SecurityAdvisoryEcosystem2["Rust"] = "RUST";
  SecurityAdvisoryEcosystem2["Swift"] = "SWIFT";
  return SecurityAdvisoryEcosystem2;
})(SecurityAdvisoryEcosystem || {});
var SecurityAdvisoryIdentifierType = /* @__PURE__ */ ((SecurityAdvisoryIdentifierType2) => {
  SecurityAdvisoryIdentifierType2["Cve"] = "CVE";
  SecurityAdvisoryIdentifierType2["Ghsa"] = "GHSA";
  return SecurityAdvisoryIdentifierType2;
})(SecurityAdvisoryIdentifierType || {});
var SecurityAdvisoryOrderField = /* @__PURE__ */ ((SecurityAdvisoryOrderField2) => {
  SecurityAdvisoryOrderField2["PublishedAt"] = "PUBLISHED_AT";
  SecurityAdvisoryOrderField2["UpdatedAt"] = "UPDATED_AT";
  return SecurityAdvisoryOrderField2;
})(SecurityAdvisoryOrderField || {});
var SecurityAdvisorySeverity = /* @__PURE__ */ ((SecurityAdvisorySeverity2) => {
  SecurityAdvisorySeverity2["Critical"] = "CRITICAL";
  SecurityAdvisorySeverity2["High"] = "HIGH";
  SecurityAdvisorySeverity2["Low"] = "LOW";
  SecurityAdvisorySeverity2["Moderate"] = "MODERATE";
  return SecurityAdvisorySeverity2;
})(SecurityAdvisorySeverity || {});
var SecurityVulnerabilityOrderField = /* @__PURE__ */ ((SecurityVulnerabilityOrderField2) => {
  SecurityVulnerabilityOrderField2["UpdatedAt"] = "UPDATED_AT";
  return SecurityVulnerabilityOrderField2;
})(SecurityVulnerabilityOrderField || {});
var SocialAccountProvider = /* @__PURE__ */ ((SocialAccountProvider2) => {
  SocialAccountProvider2["Facebook"] = "FACEBOOK";
  SocialAccountProvider2["Generic"] = "GENERIC";
  SocialAccountProvider2["Hometown"] = "HOMETOWN";
  SocialAccountProvider2["Instagram"] = "INSTAGRAM";
  SocialAccountProvider2["Linkedin"] = "LINKEDIN";
  SocialAccountProvider2["Mastodon"] = "MASTODON";
  SocialAccountProvider2["Npm"] = "NPM";
  SocialAccountProvider2["Reddit"] = "REDDIT";
  SocialAccountProvider2["Twitch"] = "TWITCH";
  SocialAccountProvider2["Twitter"] = "TWITTER";
  SocialAccountProvider2["Youtube"] = "YOUTUBE";
  return SocialAccountProvider2;
})(SocialAccountProvider || {});
var SponsorOrderField = /* @__PURE__ */ ((SponsorOrderField2) => {
  SponsorOrderField2["Login"] = "LOGIN";
  SponsorOrderField2["Relevance"] = "RELEVANCE";
  return SponsorOrderField2;
})(SponsorOrderField || {});
var SponsorableOrderField = /* @__PURE__ */ ((SponsorableOrderField2) => {
  SponsorableOrderField2["Login"] = "LOGIN";
  return SponsorableOrderField2;
})(SponsorableOrderField || {});
var SponsorsActivityAction = /* @__PURE__ */ ((SponsorsActivityAction2) => {
  SponsorsActivityAction2["CancelledSponsorship"] = "CANCELLED_SPONSORSHIP";
  SponsorsActivityAction2["NewSponsorship"] = "NEW_SPONSORSHIP";
  SponsorsActivityAction2["PendingChange"] = "PENDING_CHANGE";
  SponsorsActivityAction2["Refund"] = "REFUND";
  SponsorsActivityAction2["SponsorMatchDisabled"] = "SPONSOR_MATCH_DISABLED";
  SponsorsActivityAction2["TierChange"] = "TIER_CHANGE";
  return SponsorsActivityAction2;
})(SponsorsActivityAction || {});
var SponsorsActivityOrderField = /* @__PURE__ */ ((SponsorsActivityOrderField2) => {
  SponsorsActivityOrderField2["Timestamp"] = "TIMESTAMP";
  return SponsorsActivityOrderField2;
})(SponsorsActivityOrderField || {});
var SponsorsActivityPeriod = /* @__PURE__ */ ((SponsorsActivityPeriod2) => {
  SponsorsActivityPeriod2["All"] = "ALL";
  SponsorsActivityPeriod2["Day"] = "DAY";
  SponsorsActivityPeriod2["Month"] = "MONTH";
  SponsorsActivityPeriod2["Week"] = "WEEK";
  return SponsorsActivityPeriod2;
})(SponsorsActivityPeriod || {});
var SponsorsCountryOrRegionCode = /* @__PURE__ */ ((SponsorsCountryOrRegionCode2) => {
  SponsorsCountryOrRegionCode2["Ad"] = "AD";
  SponsorsCountryOrRegionCode2["Ae"] = "AE";
  SponsorsCountryOrRegionCode2["Af"] = "AF";
  SponsorsCountryOrRegionCode2["Ag"] = "AG";
  SponsorsCountryOrRegionCode2["Ai"] = "AI";
  SponsorsCountryOrRegionCode2["Al"] = "AL";
  SponsorsCountryOrRegionCode2["Am"] = "AM";
  SponsorsCountryOrRegionCode2["Ao"] = "AO";
  SponsorsCountryOrRegionCode2["Aq"] = "AQ";
  SponsorsCountryOrRegionCode2["Ar"] = "AR";
  SponsorsCountryOrRegionCode2["As"] = "AS";
  SponsorsCountryOrRegionCode2["At"] = "AT";
  SponsorsCountryOrRegionCode2["Au"] = "AU";
  SponsorsCountryOrRegionCode2["Aw"] = "AW";
  SponsorsCountryOrRegionCode2["Ax"] = "AX";
  SponsorsCountryOrRegionCode2["Az"] = "AZ";
  SponsorsCountryOrRegionCode2["Ba"] = "BA";
  SponsorsCountryOrRegionCode2["Bb"] = "BB";
  SponsorsCountryOrRegionCode2["Bd"] = "BD";
  SponsorsCountryOrRegionCode2["Be"] = "BE";
  SponsorsCountryOrRegionCode2["Bf"] = "BF";
  SponsorsCountryOrRegionCode2["Bg"] = "BG";
  SponsorsCountryOrRegionCode2["Bh"] = "BH";
  SponsorsCountryOrRegionCode2["Bi"] = "BI";
  SponsorsCountryOrRegionCode2["Bj"] = "BJ";
  SponsorsCountryOrRegionCode2["Bl"] = "BL";
  SponsorsCountryOrRegionCode2["Bm"] = "BM";
  SponsorsCountryOrRegionCode2["Bn"] = "BN";
  SponsorsCountryOrRegionCode2["Bo"] = "BO";
  SponsorsCountryOrRegionCode2["Bq"] = "BQ";
  SponsorsCountryOrRegionCode2["Br"] = "BR";
  SponsorsCountryOrRegionCode2["Bs"] = "BS";
  SponsorsCountryOrRegionCode2["Bt"] = "BT";
  SponsorsCountryOrRegionCode2["Bv"] = "BV";
  SponsorsCountryOrRegionCode2["Bw"] = "BW";
  SponsorsCountryOrRegionCode2["By"] = "BY";
  SponsorsCountryOrRegionCode2["Bz"] = "BZ";
  SponsorsCountryOrRegionCode2["Ca"] = "CA";
  SponsorsCountryOrRegionCode2["Cc"] = "CC";
  SponsorsCountryOrRegionCode2["Cd"] = "CD";
  SponsorsCountryOrRegionCode2["Cf"] = "CF";
  SponsorsCountryOrRegionCode2["Cg"] = "CG";
  SponsorsCountryOrRegionCode2["Ch"] = "CH";
  SponsorsCountryOrRegionCode2["Ci"] = "CI";
  SponsorsCountryOrRegionCode2["Ck"] = "CK";
  SponsorsCountryOrRegionCode2["Cl"] = "CL";
  SponsorsCountryOrRegionCode2["Cm"] = "CM";
  SponsorsCountryOrRegionCode2["Cn"] = "CN";
  SponsorsCountryOrRegionCode2["Co"] = "CO";
  SponsorsCountryOrRegionCode2["Cr"] = "CR";
  SponsorsCountryOrRegionCode2["Cv"] = "CV";
  SponsorsCountryOrRegionCode2["Cw"] = "CW";
  SponsorsCountryOrRegionCode2["Cx"] = "CX";
  SponsorsCountryOrRegionCode2["Cy"] = "CY";
  SponsorsCountryOrRegionCode2["Cz"] = "CZ";
  SponsorsCountryOrRegionCode2["De"] = "DE";
  SponsorsCountryOrRegionCode2["Dj"] = "DJ";
  SponsorsCountryOrRegionCode2["Dk"] = "DK";
  SponsorsCountryOrRegionCode2["Dm"] = "DM";
  SponsorsCountryOrRegionCode2["Do"] = "DO";
  SponsorsCountryOrRegionCode2["Dz"] = "DZ";
  SponsorsCountryOrRegionCode2["Ec"] = "EC";
  SponsorsCountryOrRegionCode2["Ee"] = "EE";
  SponsorsCountryOrRegionCode2["Eg"] = "EG";
  SponsorsCountryOrRegionCode2["Eh"] = "EH";
  SponsorsCountryOrRegionCode2["Er"] = "ER";
  SponsorsCountryOrRegionCode2["Es"] = "ES";
  SponsorsCountryOrRegionCode2["Et"] = "ET";
  SponsorsCountryOrRegionCode2["Fi"] = "FI";
  SponsorsCountryOrRegionCode2["Fj"] = "FJ";
  SponsorsCountryOrRegionCode2["Fk"] = "FK";
  SponsorsCountryOrRegionCode2["Fm"] = "FM";
  SponsorsCountryOrRegionCode2["Fo"] = "FO";
  SponsorsCountryOrRegionCode2["Fr"] = "FR";
  SponsorsCountryOrRegionCode2["Ga"] = "GA";
  SponsorsCountryOrRegionCode2["Gb"] = "GB";
  SponsorsCountryOrRegionCode2["Gd"] = "GD";
  SponsorsCountryOrRegionCode2["Ge"] = "GE";
  SponsorsCountryOrRegionCode2["Gf"] = "GF";
  SponsorsCountryOrRegionCode2["Gg"] = "GG";
  SponsorsCountryOrRegionCode2["Gh"] = "GH";
  SponsorsCountryOrRegionCode2["Gi"] = "GI";
  SponsorsCountryOrRegionCode2["Gl"] = "GL";
  SponsorsCountryOrRegionCode2["Gm"] = "GM";
  SponsorsCountryOrRegionCode2["Gn"] = "GN";
  SponsorsCountryOrRegionCode2["Gp"] = "GP";
  SponsorsCountryOrRegionCode2["Gq"] = "GQ";
  SponsorsCountryOrRegionCode2["Gr"] = "GR";
  SponsorsCountryOrRegionCode2["Gs"] = "GS";
  SponsorsCountryOrRegionCode2["Gt"] = "GT";
  SponsorsCountryOrRegionCode2["Gu"] = "GU";
  SponsorsCountryOrRegionCode2["Gw"] = "GW";
  SponsorsCountryOrRegionCode2["Gy"] = "GY";
  SponsorsCountryOrRegionCode2["Hk"] = "HK";
  SponsorsCountryOrRegionCode2["Hm"] = "HM";
  SponsorsCountryOrRegionCode2["Hn"] = "HN";
  SponsorsCountryOrRegionCode2["Hr"] = "HR";
  SponsorsCountryOrRegionCode2["Ht"] = "HT";
  SponsorsCountryOrRegionCode2["Hu"] = "HU";
  SponsorsCountryOrRegionCode2["Id"] = "ID";
  SponsorsCountryOrRegionCode2["Ie"] = "IE";
  SponsorsCountryOrRegionCode2["Il"] = "IL";
  SponsorsCountryOrRegionCode2["Im"] = "IM";
  SponsorsCountryOrRegionCode2["In"] = "IN";
  SponsorsCountryOrRegionCode2["Io"] = "IO";
  SponsorsCountryOrRegionCode2["Iq"] = "IQ";
  SponsorsCountryOrRegionCode2["Ir"] = "IR";
  SponsorsCountryOrRegionCode2["Is"] = "IS";
  SponsorsCountryOrRegionCode2["It"] = "IT";
  SponsorsCountryOrRegionCode2["Je"] = "JE";
  SponsorsCountryOrRegionCode2["Jm"] = "JM";
  SponsorsCountryOrRegionCode2["Jo"] = "JO";
  SponsorsCountryOrRegionCode2["Jp"] = "JP";
  SponsorsCountryOrRegionCode2["Ke"] = "KE";
  SponsorsCountryOrRegionCode2["Kg"] = "KG";
  SponsorsCountryOrRegionCode2["Kh"] = "KH";
  SponsorsCountryOrRegionCode2["Ki"] = "KI";
  SponsorsCountryOrRegionCode2["Km"] = "KM";
  SponsorsCountryOrRegionCode2["Kn"] = "KN";
  SponsorsCountryOrRegionCode2["Kr"] = "KR";
  SponsorsCountryOrRegionCode2["Kw"] = "KW";
  SponsorsCountryOrRegionCode2["Ky"] = "KY";
  SponsorsCountryOrRegionCode2["Kz"] = "KZ";
  SponsorsCountryOrRegionCode2["La"] = "LA";
  SponsorsCountryOrRegionCode2["Lb"] = "LB";
  SponsorsCountryOrRegionCode2["Lc"] = "LC";
  SponsorsCountryOrRegionCode2["Li"] = "LI";
  SponsorsCountryOrRegionCode2["Lk"] = "LK";
  SponsorsCountryOrRegionCode2["Lr"] = "LR";
  SponsorsCountryOrRegionCode2["Ls"] = "LS";
  SponsorsCountryOrRegionCode2["Lt"] = "LT";
  SponsorsCountryOrRegionCode2["Lu"] = "LU";
  SponsorsCountryOrRegionCode2["Lv"] = "LV";
  SponsorsCountryOrRegionCode2["Ly"] = "LY";
  SponsorsCountryOrRegionCode2["Ma"] = "MA";
  SponsorsCountryOrRegionCode2["Mc"] = "MC";
  SponsorsCountryOrRegionCode2["Md"] = "MD";
  SponsorsCountryOrRegionCode2["Me"] = "ME";
  SponsorsCountryOrRegionCode2["Mf"] = "MF";
  SponsorsCountryOrRegionCode2["Mg"] = "MG";
  SponsorsCountryOrRegionCode2["Mh"] = "MH";
  SponsorsCountryOrRegionCode2["Mk"] = "MK";
  SponsorsCountryOrRegionCode2["Ml"] = "ML";
  SponsorsCountryOrRegionCode2["Mm"] = "MM";
  SponsorsCountryOrRegionCode2["Mn"] = "MN";
  SponsorsCountryOrRegionCode2["Mo"] = "MO";
  SponsorsCountryOrRegionCode2["Mp"] = "MP";
  SponsorsCountryOrRegionCode2["Mq"] = "MQ";
  SponsorsCountryOrRegionCode2["Mr"] = "MR";
  SponsorsCountryOrRegionCode2["Ms"] = "MS";
  SponsorsCountryOrRegionCode2["Mt"] = "MT";
  SponsorsCountryOrRegionCode2["Mu"] = "MU";
  SponsorsCountryOrRegionCode2["Mv"] = "MV";
  SponsorsCountryOrRegionCode2["Mw"] = "MW";
  SponsorsCountryOrRegionCode2["Mx"] = "MX";
  SponsorsCountryOrRegionCode2["My"] = "MY";
  SponsorsCountryOrRegionCode2["Mz"] = "MZ";
  SponsorsCountryOrRegionCode2["Na"] = "NA";
  SponsorsCountryOrRegionCode2["Nc"] = "NC";
  SponsorsCountryOrRegionCode2["Ne"] = "NE";
  SponsorsCountryOrRegionCode2["Nf"] = "NF";
  SponsorsCountryOrRegionCode2["Ng"] = "NG";
  SponsorsCountryOrRegionCode2["Ni"] = "NI";
  SponsorsCountryOrRegionCode2["Nl"] = "NL";
  SponsorsCountryOrRegionCode2["No"] = "NO";
  SponsorsCountryOrRegionCode2["Np"] = "NP";
  SponsorsCountryOrRegionCode2["Nr"] = "NR";
  SponsorsCountryOrRegionCode2["Nu"] = "NU";
  SponsorsCountryOrRegionCode2["Nz"] = "NZ";
  SponsorsCountryOrRegionCode2["Om"] = "OM";
  SponsorsCountryOrRegionCode2["Pa"] = "PA";
  SponsorsCountryOrRegionCode2["Pe"] = "PE";
  SponsorsCountryOrRegionCode2["Pf"] = "PF";
  SponsorsCountryOrRegionCode2["Pg"] = "PG";
  SponsorsCountryOrRegionCode2["Ph"] = "PH";
  SponsorsCountryOrRegionCode2["Pk"] = "PK";
  SponsorsCountryOrRegionCode2["Pl"] = "PL";
  SponsorsCountryOrRegionCode2["Pm"] = "PM";
  SponsorsCountryOrRegionCode2["Pn"] = "PN";
  SponsorsCountryOrRegionCode2["Pr"] = "PR";
  SponsorsCountryOrRegionCode2["Ps"] = "PS";
  SponsorsCountryOrRegionCode2["Pt"] = "PT";
  SponsorsCountryOrRegionCode2["Pw"] = "PW";
  SponsorsCountryOrRegionCode2["Py"] = "PY";
  SponsorsCountryOrRegionCode2["Qa"] = "QA";
  SponsorsCountryOrRegionCode2["Re"] = "RE";
  SponsorsCountryOrRegionCode2["Ro"] = "RO";
  SponsorsCountryOrRegionCode2["Rs"] = "RS";
  SponsorsCountryOrRegionCode2["Ru"] = "RU";
  SponsorsCountryOrRegionCode2["Rw"] = "RW";
  SponsorsCountryOrRegionCode2["Sa"] = "SA";
  SponsorsCountryOrRegionCode2["Sb"] = "SB";
  SponsorsCountryOrRegionCode2["Sc"] = "SC";
  SponsorsCountryOrRegionCode2["Sd"] = "SD";
  SponsorsCountryOrRegionCode2["Se"] = "SE";
  SponsorsCountryOrRegionCode2["Sg"] = "SG";
  SponsorsCountryOrRegionCode2["Sh"] = "SH";
  SponsorsCountryOrRegionCode2["Si"] = "SI";
  SponsorsCountryOrRegionCode2["Sj"] = "SJ";
  SponsorsCountryOrRegionCode2["Sk"] = "SK";
  SponsorsCountryOrRegionCode2["Sl"] = "SL";
  SponsorsCountryOrRegionCode2["Sm"] = "SM";
  SponsorsCountryOrRegionCode2["Sn"] = "SN";
  SponsorsCountryOrRegionCode2["So"] = "SO";
  SponsorsCountryOrRegionCode2["Sr"] = "SR";
  SponsorsCountryOrRegionCode2["Ss"] = "SS";
  SponsorsCountryOrRegionCode2["St"] = "ST";
  SponsorsCountryOrRegionCode2["Sv"] = "SV";
  SponsorsCountryOrRegionCode2["Sx"] = "SX";
  SponsorsCountryOrRegionCode2["Sz"] = "SZ";
  SponsorsCountryOrRegionCode2["Tc"] = "TC";
  SponsorsCountryOrRegionCode2["Td"] = "TD";
  SponsorsCountryOrRegionCode2["Tf"] = "TF";
  SponsorsCountryOrRegionCode2["Tg"] = "TG";
  SponsorsCountryOrRegionCode2["Th"] = "TH";
  SponsorsCountryOrRegionCode2["Tj"] = "TJ";
  SponsorsCountryOrRegionCode2["Tk"] = "TK";
  SponsorsCountryOrRegionCode2["Tl"] = "TL";
  SponsorsCountryOrRegionCode2["Tm"] = "TM";
  SponsorsCountryOrRegionCode2["Tn"] = "TN";
  SponsorsCountryOrRegionCode2["To"] = "TO";
  SponsorsCountryOrRegionCode2["Tr"] = "TR";
  SponsorsCountryOrRegionCode2["Tt"] = "TT";
  SponsorsCountryOrRegionCode2["Tv"] = "TV";
  SponsorsCountryOrRegionCode2["Tw"] = "TW";
  SponsorsCountryOrRegionCode2["Tz"] = "TZ";
  SponsorsCountryOrRegionCode2["Ua"] = "UA";
  SponsorsCountryOrRegionCode2["Ug"] = "UG";
  SponsorsCountryOrRegionCode2["Um"] = "UM";
  SponsorsCountryOrRegionCode2["Us"] = "US";
  SponsorsCountryOrRegionCode2["Uy"] = "UY";
  SponsorsCountryOrRegionCode2["Uz"] = "UZ";
  SponsorsCountryOrRegionCode2["Va"] = "VA";
  SponsorsCountryOrRegionCode2["Vc"] = "VC";
  SponsorsCountryOrRegionCode2["Ve"] = "VE";
  SponsorsCountryOrRegionCode2["Vg"] = "VG";
  SponsorsCountryOrRegionCode2["Vi"] = "VI";
  SponsorsCountryOrRegionCode2["Vn"] = "VN";
  SponsorsCountryOrRegionCode2["Vu"] = "VU";
  SponsorsCountryOrRegionCode2["Wf"] = "WF";
  SponsorsCountryOrRegionCode2["Ws"] = "WS";
  SponsorsCountryOrRegionCode2["Ye"] = "YE";
  SponsorsCountryOrRegionCode2["Yt"] = "YT";
  SponsorsCountryOrRegionCode2["Za"] = "ZA";
  SponsorsCountryOrRegionCode2["Zm"] = "ZM";
  SponsorsCountryOrRegionCode2["Zw"] = "ZW";
  return SponsorsCountryOrRegionCode2;
})(SponsorsCountryOrRegionCode || {});
var SponsorsGoalKind = /* @__PURE__ */ ((SponsorsGoalKind2) => {
  SponsorsGoalKind2["MonthlySponsorshipAmount"] = "MONTHLY_SPONSORSHIP_AMOUNT";
  SponsorsGoalKind2["TotalSponsorsCount"] = "TOTAL_SPONSORS_COUNT";
  return SponsorsGoalKind2;
})(SponsorsGoalKind || {});
var SponsorsListingFeaturedItemFeatureableType = /* @__PURE__ */ ((SponsorsListingFeaturedItemFeatureableType2) => {
  SponsorsListingFeaturedItemFeatureableType2["Repository"] = "REPOSITORY";
  SponsorsListingFeaturedItemFeatureableType2["User"] = "USER";
  return SponsorsListingFeaturedItemFeatureableType2;
})(SponsorsListingFeaturedItemFeatureableType || {});
var SponsorsTierOrderField = /* @__PURE__ */ ((SponsorsTierOrderField2) => {
  SponsorsTierOrderField2["CreatedAt"] = "CREATED_AT";
  SponsorsTierOrderField2["MonthlyPriceInCents"] = "MONTHLY_PRICE_IN_CENTS";
  return SponsorsTierOrderField2;
})(SponsorsTierOrderField || {});
var SponsorshipNewsletterOrderField = /* @__PURE__ */ ((SponsorshipNewsletterOrderField2) => {
  SponsorshipNewsletterOrderField2["CreatedAt"] = "CREATED_AT";
  return SponsorshipNewsletterOrderField2;
})(SponsorshipNewsletterOrderField || {});
var SponsorshipOrderField = /* @__PURE__ */ ((SponsorshipOrderField2) => {
  SponsorshipOrderField2["CreatedAt"] = "CREATED_AT";
  return SponsorshipOrderField2;
})(SponsorshipOrderField || {});
var SponsorshipPrivacy = /* @__PURE__ */ ((SponsorshipPrivacy2) => {
  SponsorshipPrivacy2["Private"] = "PRIVATE";
  SponsorshipPrivacy2["Public"] = "PUBLIC";
  return SponsorshipPrivacy2;
})(SponsorshipPrivacy || {});
var SquashMergeCommitMessage = /* @__PURE__ */ ((SquashMergeCommitMessage2) => {
  SquashMergeCommitMessage2["Blank"] = "BLANK";
  SquashMergeCommitMessage2["CommitMessages"] = "COMMIT_MESSAGES";
  SquashMergeCommitMessage2["PrBody"] = "PR_BODY";
  return SquashMergeCommitMessage2;
})(SquashMergeCommitMessage || {});
var SquashMergeCommitTitle = /* @__PURE__ */ ((SquashMergeCommitTitle2) => {
  SquashMergeCommitTitle2["CommitOrPrTitle"] = "COMMIT_OR_PR_TITLE";
  SquashMergeCommitTitle2["PrTitle"] = "PR_TITLE";
  return SquashMergeCommitTitle2;
})(SquashMergeCommitTitle || {});
var StarOrderField = /* @__PURE__ */ ((StarOrderField2) => {
  StarOrderField2["StarredAt"] = "STARRED_AT";
  return StarOrderField2;
})(StarOrderField || {});
var StatusState = /* @__PURE__ */ ((StatusState2) => {
  StatusState2["Error"] = "ERROR";
  StatusState2["Expected"] = "EXPECTED";
  StatusState2["Failure"] = "FAILURE";
  StatusState2["Pending"] = "PENDING";
  StatusState2["Success"] = "SUCCESS";
  return StatusState2;
})(StatusState || {});
var SubscriptionState = /* @__PURE__ */ ((SubscriptionState2) => {
  SubscriptionState2["Ignored"] = "IGNORED";
  SubscriptionState2["Subscribed"] = "SUBSCRIBED";
  SubscriptionState2["Unsubscribed"] = "UNSUBSCRIBED";
  return SubscriptionState2;
})(SubscriptionState || {});
var TeamDiscussionCommentOrderField = /* @__PURE__ */ ((TeamDiscussionCommentOrderField2) => {
  TeamDiscussionCommentOrderField2["Number"] = "NUMBER";
  return TeamDiscussionCommentOrderField2;
})(TeamDiscussionCommentOrderField || {});
var TeamDiscussionOrderField = /* @__PURE__ */ ((TeamDiscussionOrderField2) => {
  TeamDiscussionOrderField2["CreatedAt"] = "CREATED_AT";
  return TeamDiscussionOrderField2;
})(TeamDiscussionOrderField || {});
var TeamMemberOrderField = /* @__PURE__ */ ((TeamMemberOrderField2) => {
  TeamMemberOrderField2["CreatedAt"] = "CREATED_AT";
  TeamMemberOrderField2["Login"] = "LOGIN";
  return TeamMemberOrderField2;
})(TeamMemberOrderField || {});
var TeamMemberRole = /* @__PURE__ */ ((TeamMemberRole2) => {
  TeamMemberRole2["Maintainer"] = "MAINTAINER";
  TeamMemberRole2["Member"] = "MEMBER";
  return TeamMemberRole2;
})(TeamMemberRole || {});
var TeamMembershipType = /* @__PURE__ */ ((TeamMembershipType2) => {
  TeamMembershipType2["All"] = "ALL";
  TeamMembershipType2["ChildTeam"] = "CHILD_TEAM";
  TeamMembershipType2["Immediate"] = "IMMEDIATE";
  return TeamMembershipType2;
})(TeamMembershipType || {});
var TeamNotificationSetting = /* @__PURE__ */ ((TeamNotificationSetting2) => {
  TeamNotificationSetting2["NotificationsDisabled"] = "NOTIFICATIONS_DISABLED";
  TeamNotificationSetting2["NotificationsEnabled"] = "NOTIFICATIONS_ENABLED";
  return TeamNotificationSetting2;
})(TeamNotificationSetting || {});
var TeamOrderField = /* @__PURE__ */ ((TeamOrderField2) => {
  TeamOrderField2["Name"] = "NAME";
  return TeamOrderField2;
})(TeamOrderField || {});
var TeamPrivacy = /* @__PURE__ */ ((TeamPrivacy2) => {
  TeamPrivacy2["Secret"] = "SECRET";
  TeamPrivacy2["Visible"] = "VISIBLE";
  return TeamPrivacy2;
})(TeamPrivacy || {});
var TeamRepositoryOrderField = /* @__PURE__ */ ((TeamRepositoryOrderField2) => {
  TeamRepositoryOrderField2["CreatedAt"] = "CREATED_AT";
  TeamRepositoryOrderField2["Name"] = "NAME";
  TeamRepositoryOrderField2["Permission"] = "PERMISSION";
  TeamRepositoryOrderField2["PushedAt"] = "PUSHED_AT";
  TeamRepositoryOrderField2["Stargazers"] = "STARGAZERS";
  TeamRepositoryOrderField2["UpdatedAt"] = "UPDATED_AT";
  return TeamRepositoryOrderField2;
})(TeamRepositoryOrderField || {});
var TeamRole = /* @__PURE__ */ ((TeamRole2) => {
  TeamRole2["Admin"] = "ADMIN";
  TeamRole2["Member"] = "MEMBER";
  return TeamRole2;
})(TeamRole || {});
var ThreadSubscriptionFormAction = /* @__PURE__ */ ((ThreadSubscriptionFormAction2) => {
  ThreadSubscriptionFormAction2["None"] = "NONE";
  ThreadSubscriptionFormAction2["Subscribe"] = "SUBSCRIBE";
  ThreadSubscriptionFormAction2["Unsubscribe"] = "UNSUBSCRIBE";
  return ThreadSubscriptionFormAction2;
})(ThreadSubscriptionFormAction || {});
var ThreadSubscriptionState = /* @__PURE__ */ ((ThreadSubscriptionState2) => {
  ThreadSubscriptionState2["Disabled"] = "DISABLED";
  ThreadSubscriptionState2["IgnoringList"] = "IGNORING_LIST";
  ThreadSubscriptionState2["IgnoringThread"] = "IGNORING_THREAD";
  ThreadSubscriptionState2["None"] = "NONE";
  ThreadSubscriptionState2["SubscribedToList"] = "SUBSCRIBED_TO_LIST";
  ThreadSubscriptionState2["SubscribedToThread"] = "SUBSCRIBED_TO_THREAD";
  ThreadSubscriptionState2["SubscribedToThreadEvents"] = "SUBSCRIBED_TO_THREAD_EVENTS";
  ThreadSubscriptionState2["SubscribedToThreadType"] = "SUBSCRIBED_TO_THREAD_TYPE";
  ThreadSubscriptionState2["Unavailable"] = "UNAVAILABLE";
  return ThreadSubscriptionState2;
})(ThreadSubscriptionState || {});
var TopicSuggestionDeclineReason = /* @__PURE__ */ ((TopicSuggestionDeclineReason2) => {
  TopicSuggestionDeclineReason2["NotRelevant"] = "NOT_RELEVANT";
  TopicSuggestionDeclineReason2["PersonalPreference"] = "PERSONAL_PREFERENCE";
  TopicSuggestionDeclineReason2["TooGeneral"] = "TOO_GENERAL";
  TopicSuggestionDeclineReason2["TooSpecific"] = "TOO_SPECIFIC";
  return TopicSuggestionDeclineReason2;
})(TopicSuggestionDeclineReason || {});
var TrackedIssueStates = /* @__PURE__ */ ((TrackedIssueStates2) => {
  TrackedIssueStates2["Closed"] = "CLOSED";
  TrackedIssueStates2["Open"] = "OPEN";
  return TrackedIssueStates2;
})(TrackedIssueStates || {});
var UserBlockDuration = /* @__PURE__ */ ((UserBlockDuration2) => {
  UserBlockDuration2["OneDay"] = "ONE_DAY";
  UserBlockDuration2["OneMonth"] = "ONE_MONTH";
  UserBlockDuration2["OneWeek"] = "ONE_WEEK";
  UserBlockDuration2["Permanent"] = "PERMANENT";
  UserBlockDuration2["ThreeDays"] = "THREE_DAYS";
  return UserBlockDuration2;
})(UserBlockDuration || {});
var UserStatusOrderField = /* @__PURE__ */ ((UserStatusOrderField2) => {
  UserStatusOrderField2["UpdatedAt"] = "UPDATED_AT";
  return UserStatusOrderField2;
})(UserStatusOrderField || {});
var VerifiableDomainOrderField = /* @__PURE__ */ ((VerifiableDomainOrderField2) => {
  VerifiableDomainOrderField2["CreatedAt"] = "CREATED_AT";
  VerifiableDomainOrderField2["Domain"] = "DOMAIN";
  return VerifiableDomainOrderField2;
})(VerifiableDomainOrderField || {});
var WorkflowRunOrderField = /* @__PURE__ */ ((WorkflowRunOrderField2) => {
  WorkflowRunOrderField2["CreatedAt"] = "CREATED_AT";
  return WorkflowRunOrderField2;
})(WorkflowRunOrderField || {});
var WorkflowState = /* @__PURE__ */ ((WorkflowState2) => {
  WorkflowState2["Active"] = "ACTIVE";
  WorkflowState2["Deleted"] = "DELETED";
  WorkflowState2["DisabledFork"] = "DISABLED_FORK";
  WorkflowState2["DisabledInactivity"] = "DISABLED_INACTIVITY";
  WorkflowState2["DisabledManually"] = "DISABLED_MANUALLY";
  return WorkflowState2;
})(WorkflowState || {});
var GitHubContributionByDateDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "GitHubContributionByDate" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "username" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "String" } } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "from" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "DateTime" } } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "to" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "DateTime" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "user" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "login" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "username" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "email" } }, { "kind": "Field", "name": { "kind": "Name", "value": "createdAt" } }, { "kind": "Field", "name": { "kind": "Name", "value": "contributionsCollection" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "from" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "from" } } }, { "kind": "Argument", "name": { "kind": "Name", "value": "to" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "to" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "contributionCalendar" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "totalContributions" } }, { "kind": "Field", "name": { "kind": "Name", "value": "weeks" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "contributionDays" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "weekday" } }, { "kind": "Field", "name": { "kind": "Name", "value": "date" } }, { "kind": "Field", "name": { "kind": "Name", "value": "contributionCount" } }, { "kind": "Field", "name": { "kind": "Name", "value": "color" } }, { "kind": "Field", "name": { "kind": "Name", "value": "contributionLevel" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "firstDay" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "colors" } }] } }] } }] } }] } }] };
var DefaultGitHubContributionDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "DefaultGitHubContribution" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "username" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "String" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "user" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "login" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "username" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "email" } }, { "kind": "Field", "name": { "kind": "Name", "value": "createdAt" } }, { "kind": "Field", "name": { "kind": "Name", "value": "contributionsCollection" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "contributionCalendar" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "totalContributions" } }, { "kind": "Field", "name": { "kind": "Name", "value": "weeks" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "contributionDays" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "weekday" } }, { "kind": "Field", "name": { "kind": "Name", "value": "date" } }, { "kind": "Field", "name": { "kind": "Name", "value": "contributionCount" } }, { "kind": "Field", "name": { "kind": "Name", "value": "color" } }, { "kind": "Field", "name": { "kind": "Name", "value": "contributionLevel" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "firstDay" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "colors" } }] } }] } }] } }] } }] };

// src/gql/gql.ts
var documents = {
  "query GitHubContributionByDate($username: String!, $from: DateTime!, $to: DateTime!) {\n  user(login: $username) {\n    email\n    createdAt\n    contributionsCollection(from: $from, to: $to) {\n      contributionCalendar {\n        totalContributions\n        weeks {\n          contributionDays {\n            weekday\n            date\n            contributionCount\n            color\n            contributionLevel\n          }\n          firstDay\n        }\n        colors\n      }\n    }\n  }\n}": GitHubContributionByDateDocument,
  "query DefaultGitHubContribution($username: String!) {\n  user(login: $username) {\n    email\n    createdAt\n    contributionsCollection {\n      contributionCalendar {\n        totalContributions\n        weeks {\n          contributionDays {\n            weekday\n            date\n            contributionCount\n            color\n            contributionLevel\n          }\n          firstDay\n        }\n        colors\n      }\n    }\n  }\n}": DefaultGitHubContributionDocument
};
function graphql(source) {
  return documents[source] ?? {};
}

exports.ActorType = ActorType;
exports.AuditLogOrderField = AuditLogOrderField;
exports.CheckAnnotationLevel = CheckAnnotationLevel;
exports.CheckConclusionState = CheckConclusionState;
exports.CheckRunState = CheckRunState;
exports.CheckRunType = CheckRunType;
exports.CheckStatusState = CheckStatusState;
exports.CollaboratorAffiliation = CollaboratorAffiliation;
exports.CommentAuthorAssociation = CommentAuthorAssociation;
exports.CommentCannotUpdateReason = CommentCannotUpdateReason;
exports.CommitContributionOrderField = CommitContributionOrderField;
exports.ComparisonStatus = ComparisonStatus;
exports.ContributionLevel = ContributionLevel;
exports.DefaultGitHubContributionDocument = DefaultGitHubContributionDocument;
exports.DefaultRepositoryPermissionField = DefaultRepositoryPermissionField;
exports.DependencyGraphEcosystem = DependencyGraphEcosystem;
exports.DeploymentOrderField = DeploymentOrderField;
exports.DeploymentProtectionRuleType = DeploymentProtectionRuleType;
exports.DeploymentReviewState = DeploymentReviewState;
exports.DeploymentState = DeploymentState;
exports.DeploymentStatusState = DeploymentStatusState;
exports.DiffSide = DiffSide;
exports.DiscussionCloseReason = DiscussionCloseReason;
exports.DiscussionOrderField = DiscussionOrderField;
exports.DiscussionPollOptionOrderField = DiscussionPollOptionOrderField;
exports.DiscussionState = DiscussionState;
exports.DiscussionStateReason = DiscussionStateReason;
exports.DismissReason = DismissReason;
exports.EnterpriseAdministratorInvitationOrderField = EnterpriseAdministratorInvitationOrderField;
exports.EnterpriseAdministratorRole = EnterpriseAdministratorRole;
exports.EnterpriseAllowPrivateRepositoryForkingPolicyValue = EnterpriseAllowPrivateRepositoryForkingPolicyValue;
exports.EnterpriseDefaultRepositoryPermissionSettingValue = EnterpriseDefaultRepositoryPermissionSettingValue;
exports.EnterpriseEnabledDisabledSettingValue = EnterpriseEnabledDisabledSettingValue;
exports.EnterpriseEnabledSettingValue = EnterpriseEnabledSettingValue;
exports.EnterpriseMemberOrderField = EnterpriseMemberOrderField;
exports.EnterpriseMembersCanCreateRepositoriesSettingValue = EnterpriseMembersCanCreateRepositoriesSettingValue;
exports.EnterpriseMembersCanMakePurchasesSettingValue = EnterpriseMembersCanMakePurchasesSettingValue;
exports.EnterpriseMembershipType = EnterpriseMembershipType;
exports.EnterpriseOrderField = EnterpriseOrderField;
exports.EnterpriseServerInstallationOrderField = EnterpriseServerInstallationOrderField;
exports.EnterpriseServerUserAccountEmailOrderField = EnterpriseServerUserAccountEmailOrderField;
exports.EnterpriseServerUserAccountOrderField = EnterpriseServerUserAccountOrderField;
exports.EnterpriseServerUserAccountsUploadOrderField = EnterpriseServerUserAccountsUploadOrderField;
exports.EnterpriseServerUserAccountsUploadSyncState = EnterpriseServerUserAccountsUploadSyncState;
exports.EnterpriseUserAccountMembershipRole = EnterpriseUserAccountMembershipRole;
exports.EnterpriseUserDeployment = EnterpriseUserDeployment;
exports.EnvironmentOrderField = EnvironmentOrderField;
exports.FileViewedState = FileViewedState;
exports.FundingPlatform = FundingPlatform;
exports.GistOrderField = GistOrderField;
exports.GistPrivacy = GistPrivacy;
exports.GitHubContributionByDateDocument = GitHubContributionByDateDocument;
exports.GitSignatureState = GitSignatureState;
exports.IdentityProviderConfigurationState = IdentityProviderConfigurationState;
exports.IpAllowListEnabledSettingValue = IpAllowListEnabledSettingValue;
exports.IpAllowListEntryOrderField = IpAllowListEntryOrderField;
exports.IpAllowListForInstalledAppsEnabledSettingValue = IpAllowListForInstalledAppsEnabledSettingValue;
exports.IssueClosedStateReason = IssueClosedStateReason;
exports.IssueCommentOrderField = IssueCommentOrderField;
exports.IssueOrderField = IssueOrderField;
exports.IssueState = IssueState;
exports.IssueStateReason = IssueStateReason;
exports.IssueTimelineItemsItemType = IssueTimelineItemsItemType;
exports.LabelOrderField = LabelOrderField;
exports.LanguageOrderField = LanguageOrderField;
exports.LockReason = LockReason;
exports.MannequinOrderField = MannequinOrderField;
exports.MergeCommitMessage = MergeCommitMessage;
exports.MergeCommitTitle = MergeCommitTitle;
exports.MergeQueueEntryState = MergeQueueEntryState;
exports.MergeQueueMergingStrategy = MergeQueueMergingStrategy;
exports.MergeableState = MergeableState;
exports.MigrationSourceType = MigrationSourceType;
exports.MigrationState = MigrationState;
exports.MilestoneOrderField = MilestoneOrderField;
exports.MilestoneState = MilestoneState;
exports.NotificationRestrictionSettingValue = NotificationRestrictionSettingValue;
exports.OauthApplicationCreateAuditEntryState = OauthApplicationCreateAuditEntryState;
exports.OidcProviderType = OidcProviderType;
exports.OperationType = OperationType;
exports.OrderDirection = OrderDirection;
exports.OrgAddMemberAuditEntryPermission = OrgAddMemberAuditEntryPermission;
exports.OrgCreateAuditEntryBillingPlan = OrgCreateAuditEntryBillingPlan;
exports.OrgEnterpriseOwnerOrderField = OrgEnterpriseOwnerOrderField;
exports.OrgRemoveBillingManagerAuditEntryReason = OrgRemoveBillingManagerAuditEntryReason;
exports.OrgRemoveMemberAuditEntryMembershipType = OrgRemoveMemberAuditEntryMembershipType;
exports.OrgRemoveMemberAuditEntryReason = OrgRemoveMemberAuditEntryReason;
exports.OrgRemoveOutsideCollaboratorAuditEntryMembershipType = OrgRemoveOutsideCollaboratorAuditEntryMembershipType;
exports.OrgRemoveOutsideCollaboratorAuditEntryReason = OrgRemoveOutsideCollaboratorAuditEntryReason;
exports.OrgUpdateDefaultRepositoryPermissionAuditEntryPermission = OrgUpdateDefaultRepositoryPermissionAuditEntryPermission;
exports.OrgUpdateMemberAuditEntryPermission = OrgUpdateMemberAuditEntryPermission;
exports.OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility = OrgUpdateMemberRepositoryCreationPermissionAuditEntryVisibility;
exports.OrganizationInvitationRole = OrganizationInvitationRole;
exports.OrganizationInvitationSource = OrganizationInvitationSource;
exports.OrganizationInvitationType = OrganizationInvitationType;
exports.OrganizationMemberRole = OrganizationMemberRole;
exports.OrganizationMembersCanCreateRepositoriesSettingValue = OrganizationMembersCanCreateRepositoriesSettingValue;
exports.OrganizationMigrationState = OrganizationMigrationState;
exports.OrganizationOrderField = OrganizationOrderField;
exports.PackageFileOrderField = PackageFileOrderField;
exports.PackageOrderField = PackageOrderField;
exports.PackageType = PackageType;
exports.PackageVersionOrderField = PackageVersionOrderField;
exports.PatchStatus = PatchStatus;
exports.PinnableItemType = PinnableItemType;
exports.PinnedDiscussionGradient = PinnedDiscussionGradient;
exports.PinnedDiscussionPattern = PinnedDiscussionPattern;
exports.ProjectCardArchivedState = ProjectCardArchivedState;
exports.ProjectCardState = ProjectCardState;
exports.ProjectColumnPurpose = ProjectColumnPurpose;
exports.ProjectOrderField = ProjectOrderField;
exports.ProjectState = ProjectState;
exports.ProjectTemplate = ProjectTemplate;
exports.ProjectV2CustomFieldType = ProjectV2CustomFieldType;
exports.ProjectV2FieldOrderField = ProjectV2FieldOrderField;
exports.ProjectV2FieldType = ProjectV2FieldType;
exports.ProjectV2ItemFieldValueOrderField = ProjectV2ItemFieldValueOrderField;
exports.ProjectV2ItemOrderField = ProjectV2ItemOrderField;
exports.ProjectV2ItemType = ProjectV2ItemType;
exports.ProjectV2OrderField = ProjectV2OrderField;
exports.ProjectV2Roles = ProjectV2Roles;
exports.ProjectV2SingleSelectFieldOptionColor = ProjectV2SingleSelectFieldOptionColor;
exports.ProjectV2State = ProjectV2State;
exports.ProjectV2ViewLayout = ProjectV2ViewLayout;
exports.ProjectV2ViewOrderField = ProjectV2ViewOrderField;
exports.ProjectV2WorkflowsOrderField = ProjectV2WorkflowsOrderField;
exports.PullRequestBranchUpdateMethod = PullRequestBranchUpdateMethod;
exports.PullRequestMergeMethod = PullRequestMergeMethod;
exports.PullRequestOrderField = PullRequestOrderField;
exports.PullRequestReviewCommentState = PullRequestReviewCommentState;
exports.PullRequestReviewDecision = PullRequestReviewDecision;
exports.PullRequestReviewEvent = PullRequestReviewEvent;
exports.PullRequestReviewState = PullRequestReviewState;
exports.PullRequestReviewThreadSubjectType = PullRequestReviewThreadSubjectType;
exports.PullRequestState = PullRequestState;
exports.PullRequestTimelineItemsItemType = PullRequestTimelineItemsItemType;
exports.PullRequestUpdateState = PullRequestUpdateState;
exports.ReactionContent = ReactionContent;
exports.ReactionOrderField = ReactionOrderField;
exports.RefOrderField = RefOrderField;
exports.ReleaseOrderField = ReleaseOrderField;
exports.RepoAccessAuditEntryVisibility = RepoAccessAuditEntryVisibility;
exports.RepoAddMemberAuditEntryVisibility = RepoAddMemberAuditEntryVisibility;
exports.RepoArchivedAuditEntryVisibility = RepoArchivedAuditEntryVisibility;
exports.RepoChangeMergeSettingAuditEntryMergeType = RepoChangeMergeSettingAuditEntryMergeType;
exports.RepoCreateAuditEntryVisibility = RepoCreateAuditEntryVisibility;
exports.RepoDestroyAuditEntryVisibility = RepoDestroyAuditEntryVisibility;
exports.RepoRemoveMemberAuditEntryVisibility = RepoRemoveMemberAuditEntryVisibility;
exports.ReportedContentClassifiers = ReportedContentClassifiers;
exports.RepositoryAffiliation = RepositoryAffiliation;
exports.RepositoryContributionType = RepositoryContributionType;
exports.RepositoryInteractionLimit = RepositoryInteractionLimit;
exports.RepositoryInteractionLimitExpiry = RepositoryInteractionLimitExpiry;
exports.RepositoryInteractionLimitOrigin = RepositoryInteractionLimitOrigin;
exports.RepositoryInvitationOrderField = RepositoryInvitationOrderField;
exports.RepositoryLockReason = RepositoryLockReason;
exports.RepositoryMigrationOrderDirection = RepositoryMigrationOrderDirection;
exports.RepositoryMigrationOrderField = RepositoryMigrationOrderField;
exports.RepositoryOrderField = RepositoryOrderField;
exports.RepositoryPermission = RepositoryPermission;
exports.RepositoryPrivacy = RepositoryPrivacy;
exports.RepositoryRuleType = RepositoryRuleType;
exports.RepositoryRulesetBypassActorBypassMode = RepositoryRulesetBypassActorBypassMode;
exports.RepositoryRulesetTarget = RepositoryRulesetTarget;
exports.RepositoryVisibility = RepositoryVisibility;
exports.RepositoryVulnerabilityAlertDependencyScope = RepositoryVulnerabilityAlertDependencyScope;
exports.RepositoryVulnerabilityAlertState = RepositoryVulnerabilityAlertState;
exports.RequestableCheckStatusState = RequestableCheckStatusState;
exports.RoleInOrganization = RoleInOrganization;
exports.RuleEnforcement = RuleEnforcement;
exports.SamlDigestAlgorithm = SamlDigestAlgorithm;
exports.SamlSignatureAlgorithm = SamlSignatureAlgorithm;
exports.SavedReplyOrderField = SavedReplyOrderField;
exports.SearchType = SearchType;
exports.SecurityAdvisoryClassification = SecurityAdvisoryClassification;
exports.SecurityAdvisoryEcosystem = SecurityAdvisoryEcosystem;
exports.SecurityAdvisoryIdentifierType = SecurityAdvisoryIdentifierType;
exports.SecurityAdvisoryOrderField = SecurityAdvisoryOrderField;
exports.SecurityAdvisorySeverity = SecurityAdvisorySeverity;
exports.SecurityVulnerabilityOrderField = SecurityVulnerabilityOrderField;
exports.SocialAccountProvider = SocialAccountProvider;
exports.SponsorOrderField = SponsorOrderField;
exports.SponsorableOrderField = SponsorableOrderField;
exports.SponsorsActivityAction = SponsorsActivityAction;
exports.SponsorsActivityOrderField = SponsorsActivityOrderField;
exports.SponsorsActivityPeriod = SponsorsActivityPeriod;
exports.SponsorsCountryOrRegionCode = SponsorsCountryOrRegionCode;
exports.SponsorsGoalKind = SponsorsGoalKind;
exports.SponsorsListingFeaturedItemFeatureableType = SponsorsListingFeaturedItemFeatureableType;
exports.SponsorsTierOrderField = SponsorsTierOrderField;
exports.SponsorshipNewsletterOrderField = SponsorshipNewsletterOrderField;
exports.SponsorshipOrderField = SponsorshipOrderField;
exports.SponsorshipPrivacy = SponsorshipPrivacy;
exports.SquashMergeCommitMessage = SquashMergeCommitMessage;
exports.SquashMergeCommitTitle = SquashMergeCommitTitle;
exports.StarOrderField = StarOrderField;
exports.StatusState = StatusState;
exports.SubscriptionState = SubscriptionState;
exports.TeamDiscussionCommentOrderField = TeamDiscussionCommentOrderField;
exports.TeamDiscussionOrderField = TeamDiscussionOrderField;
exports.TeamMemberOrderField = TeamMemberOrderField;
exports.TeamMemberRole = TeamMemberRole;
exports.TeamMembershipType = TeamMembershipType;
exports.TeamNotificationSetting = TeamNotificationSetting;
exports.TeamOrderField = TeamOrderField;
exports.TeamPrivacy = TeamPrivacy;
exports.TeamRepositoryOrderField = TeamRepositoryOrderField;
exports.TeamRole = TeamRole;
exports.ThreadSubscriptionFormAction = ThreadSubscriptionFormAction;
exports.ThreadSubscriptionState = ThreadSubscriptionState;
exports.TopicSuggestionDeclineReason = TopicSuggestionDeclineReason;
exports.TrackedIssueStates = TrackedIssueStates;
exports.UserBlockDuration = UserBlockDuration;
exports.UserStatusOrderField = UserStatusOrderField;
exports.VerifiableDomainOrderField = VerifiableDomainOrderField;
exports.WorkflowRunOrderField = WorkflowRunOrderField;
exports.WorkflowState = WorkflowState;
exports.graphql = graphql;
exports.isFragmentReady = isFragmentReady;
exports.makeFragmentData = makeFragmentData;
exports.useFragment = useFragment;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=index.cjs.map